import type { PropsWithoutRef } from 'react';
import type { NoChildrenProp, WithAttributes } from '../../types';
export type AIButtonProps = WithAttributes<'button', NoChildrenProp & {
    /**
     * Controls the styling of the Button.
     * @default 'secondary'
     */
    variant?: 'primary' | 'secondary';
    /** The text content of the AIButton. */
    label: string;
} & ({
    /**
     * Icon name. Set to null to render button without an icon.
     * @default 'polaris-solid'
     */
    icon?: string;
    /**
     * Only display the icon. The label prop will be forwarded to a tooltip.
     * @default false
     */
    iconOnly: true;
} | {
    /**
     * Icon name. Set to null to render button without an icon.
     * @default 'polaris-solid'
     */
    icon?: string | null;
    /**
     * Only display the icon. The label prop will be forwarded to a tooltip.
     * @default false
     */
    iconOnly?: false;
})>;
export declare const StyledAIButton: import("styled-components").StyledComponent<import("../../types").ForwardRefForwardPropsComponent<import("../Button").ButtonProps>, import("styled-components").DefaultTheme, {}, never>;
declare const _default: import("react").ForwardRefExoticComponent<PropsWithoutRef<AIButtonProps> & import("react").RefAttributes<HTMLButtonElement>>;
export default _default;
//# sourceMappingURL=AIButton.d.ts.map