import type { Action, NoChildrenProp, WithAttributes } from '../../types';
import type { ButtonProps } from '../Button';
import type { MenuButtonProps } from '../MenuButton';
import type { MenuProps } from '../Menu';
export type ActionsProps = WithAttributes<'button', NoChildrenProp & Pick<ButtonProps, 'compact' | 'disabled'> & Pick<MenuProps, 'scrollAt'> & {
    items: Action[];
    contextualLabel?: string;
    /** @default 2 */
    menuAt?: number;
    menuButtonProps?: {
        onClick?: MenuButtonProps['onClick'];
        onKeyDown?: MenuButtonProps['onKeyDown'];
    };
    /** @default true */
    iconOnly?: boolean;
    /** @default false */
    compact?: ButtonProps['compact'];
}>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<ActionsProps, "ref"> & import("react").RefAttributes<HTMLButtonElement>>;
export default _default;
//# sourceMappingURL=Actions.d.ts.map