import type { Dispatch, MutableRefObject, SetStateAction } from 'react';
import type { openCloseStates } from '../../hooks/useTransitionState';
import type { AppShellProps, UtilItemProps } from './AppShell.types';
export interface AppShellDrawerContextValue {
    drawerOpen: boolean;
    openDrawer: (item: UtilItemProps) => void;
    closeDrawer: () => void;
}
export declare const AppShellDrawerContext: import("react").Context<AppShellDrawerContextValue>;
export interface AppShellContextValue {
    navOpen: boolean;
    drawerOpen: boolean;
    setDrawerOpen: (val: boolean) => void;
    navState: (typeof openCloseStates)[keyof typeof openCloseStates];
    focusedImperatively: MutableRefObject<boolean>;
    headerEl: HTMLDivElement | null;
    previewTriggerRef: MutableRefObject<HTMLElement | null>;
    searchContainerEl: HTMLElement | null;
    setSearchContainerEl: (el: HTMLElement | null) => void;
    collapsedHoverMenus?: AppShellProps['collapsedHoverMenus'];
    mobileNavOpen: boolean;
    previewActive: boolean;
    setPreviewActive: Dispatch<SetStateAction<boolean>>;
}
declare const AppShellContext: import("react").Context<AppShellContextValue>;
export default AppShellContext;
//# sourceMappingURL=AppShellContext.d.ts.map