import { jsx as _jsx } from "react/jsx-runtime";
import Flex from '../Flex';
import { registerIcon } from '../Icon';
import * as nineDotIcon from '../Icon/icons/dot-9-solid.icon';
import MenuButton from '../MenuButton';
import { useI18n } from '../../hooks';
import { StyledContextSwitcher } from './AppHeader.styles';
registerIcon(nineDotIcon);
const ContextSwitcher = ({ contexts, onContextClick, label, ...restProps }) => {
    const t = useI18n();
    return (_jsx(Flex, { container: { justify: 'center' }, as: StyledContextSwitcher, ...restProps, children: _jsx(MenuButton, { text: label ?? t('switch_to'), variant: 'simple', icon: 'dot-9-solid', iconOnly: true, menu: {
                mode: 'single-select',
                items: contexts,
                onItemClick: onContextClick
            } }) }));
};
export default ContextSwitcher;
//# sourceMappingURL=ContextSwitcher.js.map