import type { PropsWithDefaults, WithAttributes, TestIdProp } from '../../types';
export type CountProps = WithAttributes<'span', TestIdProp & {
    /** Determines the color to render the Badge as. This color is derived from the Theme.
     * @default 'default'
     */
    variant?: 'default' | 'urgent';
    /** The count to be displayed within the Badge. */
    children: number | null;
}>;
type CountPropsWithDefaults = PropsWithDefaults<CountProps, 'variant'>;
export declare const StyledCount: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Pick<CountPropsWithDefaults, "variant"> & {
    children: string;
}, never>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<CountProps, "ref"> & import("react").RefAttributes<HTMLSpanElement>> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=Count.d.ts.map