import type { ReactText } from 'react';
import type { WithAttributes, TestIdProp } from '../../types';
export type StatusProps = WithAttributes<'span', TestIdProp & {
    /** Determines the color to render the Badge as. This color is derived from the Theme. */
    variant: 'success' | 'urgent' | 'warn' | 'pending' | 'info';
    /** The content of the Badge, transformed to uppercase. */
    children: ReactText;
}>;
export declare const StyledStatus: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Pick<StatusProps, "variant"> & {
    afterContent: StatusProps["children"];
}, never>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<StatusProps, "ref"> & import("react").RefAttributes<HTMLSpanElement>> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=Status.d.ts.map