import type { Ref, MouseEventHandler } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent, TestIdProp } from '../../types';
export interface TagProps extends BaseProps, TestIdProp {
    /** The content of the Badge. */
    children: string;
    /** A location to navigate to. Passing an href will render an anchor styled as a Tag. */
    href?: string;
    /** Click handler for the badge. Passing an onClick function will render a button styled as a Tag. */
    onClick?: MouseEventHandler<HTMLAnchorElement | HTMLButtonElement>;
    /** Ref forwarded to the wrapping element. */
    ref?: Ref<HTMLSpanElement | HTMLAnchorElement | HTMLButtonElement>;
}
export declare const StyledTag: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
declare const _default: ForwardRefForwardPropsComponent<TagProps> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=Tag.d.ts.map