import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import styled from 'styled-components';
import { useI18n } from '../../hooks';
import { defaultThemeProp } from '../../theme';
import NoValue from '../NoValue/NoValue';
const StyledBooleanDisplay = styled.span ``;
StyledBooleanDisplay.defaultProps = defaultThemeProp;
export default forwardRef(function BooleanDisplay({ value, trueLabel, falseLabel, ...restProps }, ref) {
    const t = useI18n();
    const displayText = value
        ? trueLabel || t('boolean_display_true_label')
        : falseLabel || t('boolean_display_false_label');
    return (_jsx(StyledBooleanDisplay, { ref: ref, ...restProps, children: value !== undefined ? displayText : _jsx(NoValue, {}) }));
});
//# sourceMappingURL=BooleanDisplay.js.map