import type { Ref } from 'react';
import type { DefaultTheme } from 'styled-components';
import type { BaseProps, ForwardRefForwardPropsComponent, NoChildrenProp } from '../../types';
import type { MenuItemProps } from '../Menu';
export interface BreadcrumbsProps extends BaseProps, NoChildrenProp {
    /** A set of actions representing the chronological hierarchy of pages or locations leading to the current view. */
    path: MenuItemProps[];
    /**
     * Renders only the leaf node outside the menu list.
     * @default false
     * Note: Disables variable length on resize.
     */
    leafOnly?: boolean;
    /** Ref forwarded to the wrapping element. */
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledBreadcrumbs: import("styled-components").StyledComponent<"div", DefaultTheme, {
    oneItemRemaining: boolean;
    fixedLength: boolean;
}, never>;
declare const Breadcrumbs: ForwardRefForwardPropsComponent<BreadcrumbsProps>;
export default Breadcrumbs;
//# sourceMappingURL=Breadcrumbs.d.ts.map