import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
import type { ButtonProps } from './Button';
export interface BareButtonProps extends BaseProps {
    /** Text or content for the Button. */
    children: ButtonProps['children'];
    /**
     * Determines if the Button will be disabled.
     * @default false
     */
    disabled?: ButtonProps['disabled'];
    /** A location to navigate to. Passing an href will render a Link styled as a Button. */
    href?: ButtonProps['href'];
    /**
     * Controls the behavior of a Button within a Form.
     * @default 'button'
     */
    type?: ButtonProps['type'];
    /** Ref forwarded to the wrapping element. */
    ref?: ButtonProps['ref'];
}
export declare const StyledBareButton: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {}, never>;
declare const BareButton: ForwardRefForwardPropsComponent<BareButtonProps>;
export default BareButton;
//# sourceMappingURL=BareButton.d.ts.map