import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import styled from 'styled-components';
export const StyledBareRoleButton = styled.div `
  cursor: pointer;
`;
const BareRoleButton = forwardRef(function BareRoleButton({ children, onClick, onKeyDown, ...restProps }, ref) {
    return (_jsx(StyledBareRoleButton, { ...restProps, tabIndex: 0, role: 'button', onKeyDown: (e) => {
            if ((e.key === ' ' || e.key === 'Enter') && e.target === e.currentTarget) {
                e.currentTarget.click();
            }
            return onKeyDown?.(e);
        }, onClick: (e) => {
            if (e.target instanceof Element &&
                // Ignore clicks on other interactive elements within this element.
                e.target.closest("button, a, [role='button'], [role='link']") !== e.currentTarget)
                return;
            return onClick?.(e);
        }, ref: ref, children: children }));
});
export default BareRoleButton;
//# sourceMappingURL=BareRoleButton.js.map