import type { Ref, ReactNode, MouseEventHandler } from 'react';
import type { ForwardRefForwardPropsComponent, BaseProps, AsProp } from '../../types';
export interface CardProps extends BaseProps, AsProp {
    /** Components and content for the Card. */
    children?: ReactNode;
    /**
     * Enables the focus, hover, and active styles.
     * @default false
     * @deprecated
     */
    interactive?: boolean;
    /** Callback for onClick event. */
    onClick?: MouseEventHandler<HTMLElement>;
    /** Ref forwarded to the wrapping element. */
    ref?: Ref<HTMLElement>;
}
export declare const StyledCard: import("styled-components").StyledComponent<"article", import("styled-components").DefaultTheme, Partial<CardProps>, never>;
declare const Card: ForwardRefForwardPropsComponent<CardProps>;
export default Card;
//# sourceMappingURL=Card.d.ts.map