import { jsx as _jsx } from "react/jsx-runtime";
import styled, { css } from 'styled-components';
import { defaultThemeProp } from '../../theme';
import Flex from '../Flex';
import { StyledPopover } from '../Popover';
import { StyledCard } from './Card';
import { StyledCardFooter } from './CardFooter';
export const StyledCardContent = styled.div(({ theme }) => {
    return css `
    ${StyledPopover} &, &:not(${StyledCard} ${StyledCard} > &) {
      position: relative;
      padding: calc(1.5 * ${theme.base.spacing}) calc(${theme.components.card.padding} * 2);

      & + &,
      & + ${StyledCardFooter} {
        padding-block-start: 0;
      }
    }
  `;
});
StyledCardContent.defaultProps = defaultThemeProp;
const CardContent = ({ children, container, ...restProps }) => {
    return (_jsx(Flex, { ...restProps, container: { direction: 'column', ...container }, as: StyledCardContent, children: children }));
};
export default CardContent;
//# sourceMappingURL=CardContent.js.map