import type { FunctionComponent, ReactElement, ReactNode } from 'react';
import type { CardProps } from './Card';
export interface CollapsibleCardProps extends CardProps {
    /** The header content. */
    header?: ReactElement;
    /** Action Buttons that will render in the header. */
    actions?: ReactElement | ReactElement[];
    /** The footer content. */
    footer?: ReactNode;
    /** CardMedia content that will render above the header. */
    media?: ReactElement;
    /** Callback when the Card toggles from collapsed to expanded. */
    onChange?: (event: {
        collapsed: boolean;
    }) => void;
}
/** @deprecated */
declare const CollapsibleCard: FunctionComponent<CollapsibleCardProps>;
export default CollapsibleCard;
//# sourceMappingURL=CollapsibleCard.d.ts.map