import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import styled, { css } from 'styled-components';
import Button from '../Button';
import { defaultThemeProp } from '../../theme';
import Icon, { registerIcon } from '../Icon';
import * as caretDownIcon from '../Icon/icons/caret-down.icon';
import ExpandCollapse from '../ExpandCollapse';
import Card from './Card';
import CardHeader from './CardHeader';
import CardMedia from './CardMedia';
import CardContent from './CardContent';
import CardFooter from './CardFooter';
registerIcon(caretDownIcon);
const defaultProps = {};
const StyledToggleButton = styled.button(({ theme, collapsed }) => {
    return css `
    transition: transform calc(2 * ${theme.base.animation.speed})
      ${theme.base.animation.timing.ease};
    transform: ${collapsed ? 'rotate(-90deg)' : 'rotate(0)'};
    margin-inline-end: calc(0.5 * ${theme.base.spacing});
  `;
});
StyledToggleButton.defaultProps = defaultThemeProp;
/** @deprecated */
const CollapsibleCard = (props) => {
    const { header, actions, footer, media, onChange, children, ...restProps } = props;
    const [collapsed, setCollapsed] = useState(false);
    const toggleCollapse = () => {
        setCollapsed(!collapsed);
        onChange?.({ collapsed: !collapsed });
    };
    return (_jsxs(Card, { ...restProps, children: [media && _jsx(CardMedia, { children: media }), _jsxs(CardHeader, { actions: actions, onClick: toggleCollapse, children: [_jsx(StyledToggleButton, { as: Button, variant: 'simple', icon: true, onClick: toggleCollapse, collapsed: collapsed, children: _jsx(Icon, { name: 'caret-down' }) }), header] }), _jsxs(ExpandCollapse, { collapsed: collapsed, children: [children && _jsx(CardContent, { children: children }), footer && _jsx(CardFooter, { justify: 'center', children: footer })] })] }));
};
CollapsibleCard.defaultProps = defaultProps;
export default CollapsibleCard;
//# sourceMappingURL=CollapsibleCard.js.map