import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import RadioCheck from '../RadioCheck';
import { useTestIds } from '../../hooks';
import { withTestIds } from '../../utils';
import { getCheckboxTestIds } from './Checkbox.test-ids';
const Checkbox = forwardRef(function Checkbox({ testId, ...restProps }, ref) {
    const testIds = useTestIds(testId, getCheckboxTestIds);
    return _jsx(RadioCheck, { ...restProps, testId: testIds, type: 'checkbox', ref: ref });
});
export default withTestIds(Checkbox, getCheckboxTestIds);
//# sourceMappingURL=Checkbox.js.map