import type { FunctionComponent } from 'react';
import type { BaseProps, ForwardProps } from '../../types';
import type { MenuItemProps } from '../Menu/Menu.types';
import type { MultiSelectInputProps } from './MultiSelectInput/MultiSelectInput.types';
import type ComboBoxProps from './ComboBox.types';
import type { Selected } from './ComboBox.types';
interface ComboBoxInputProps extends BaseProps {
    mode?: 'multi-select' | 'single-select';
    selected?: Selected | Selected[];
    value?: ComboBoxProps['value'];
    visual?: ComboBoxProps['visual'];
    onRemove?: (id: MenuItemProps['id'], index: number) => void;
    /** Callback on selected item pseudo focus */
    onSelectedFocus?: MultiSelectInputProps['onSelectedFocus'];
    /** Callback on selected item pseudo blur */
    onSelectedBlur?: MultiSelectInputProps['onSelectedBlur'];
    /** Pause evaluation of selected item descendants */
    pauseDescendantEvaluation?: MultiSelectInputProps['pauseDescendantEvaluation'];
}
declare const ComboBoxInput: FunctionComponent<ComboBoxInputProps & ForwardProps>;
export default ComboBoxInput;
//# sourceMappingURL=ComboBoxInput.d.ts.map