import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import SingleSelectInput from './SingleSelectInput/SingleSelectInput';
import MultiSelectInput from './MultiSelectInput/MultiSelectInput';
const ComboBoxInput = forwardRef(function ComboBoxInput(props, ref) {
    const { value, mode, selected, visual, onRemove, onSelectedFocus, onSelectedBlur, pauseDescendantEvaluation, ...restProps } = props;
    return mode === 'multi-select' ? (_jsx(MultiSelectInput, { selected: selected, value: value, ref: ref, onRemove: onRemove, onSelectedBlur: onSelectedBlur, onSelectedFocus: onSelectedFocus, pauseDescendantEvaluation: pauseDescendantEvaluation, ...restProps })) : (_jsx(SingleSelectInput, { ref: ref, selected: selected, value: value, visual: visual, ...restProps }));
});
export default ComboBoxInput;
//# sourceMappingURL=ComboBoxInput.js.map