import type { NoChildrenProp, OmitStrict, TestIdProp } from '../../types';
import type { NumberInputProps } from '../Number/NumberInput.types';
export default interface CurrencyInputProps extends OmitStrict<NumberInputProps, 'numberOfDecimals'>, NoChildrenProp, TestIdProp {
    /** Callback fired when the component gets focus */
    onFocus?: (value: string) => void;
    /** Callback fired when the component loses focus. */
    onBlur?: (value: string) => void;
    /** Three letter currency shorthand ISO code. If not provided or invalid, component renders as NumberInput */
    currencyISOCode?: string;
    /** Always show ISO code
     * @default false
     */
    alwaysShowISOCode?: boolean;
    /** Fraction digits consistent with ISO */
    minimumFractionDigits?: number;
    /** Fixed number of maximum fraction digits. */
    maximumFractionDigits?: number;
}
//# sourceMappingURL=CurrencyInput.types.d.ts.map