import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import styled from 'styled-components';
import { defaultThemeProp } from '../../theme';
import Button from '../Button';
import { ThemeOverride } from '../Configuration';
import { useTheme } from '../../hooks';
export const StyledDangerButton = styled(Button) ``;
StyledDangerButton.defaultProps = defaultThemeProp;
export default forwardRef(function DangerButton({ label, primary = false, ...restProps }, ref) {
    const theme = useTheme();
    return (_jsx(ThemeOverride, { theme: {
            base: {
                palette: {
                    interactive: theme.base.palette.urgent
                }
            }
        }, children: _jsx(StyledDangerButton, { ...restProps, variant: primary ? 'primary' : undefined, ref: ref, children: label }) }));
});
//# sourceMappingURL=DangerButton.js.map