import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
import type { DateTimeFormat, DateTimeVariant } from './DateTime.types';
import type { ClockFormat } from './Input/utils';
export interface DateTimeDisplayProps extends BaseProps {
    /** Date as ISO8601 string, timestamp or native Date object. */
    value?: Date | string | number;
    /** Controls date time variant. */
    variant: DateTimeVariant;
    /**
     * Controls display format.
     * @default 'medium'
     */
    format?: DateTimeFormat;
    /** Defines clock format that overrides locale based format */
    clockFormat?: ClockFormat;
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLSpanElement>;
}
export declare const StyledDateTimeDisplay: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
declare const DateTimeDisplay: ForwardRefForwardPropsComponent<DateTimeDisplayProps>;
export default DateTimeDisplay;
//# sourceMappingURL=DateTimeDisplay.d.ts.map