import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
export interface DurationDisplayProps extends BaseProps {
    /** Number of milliseconds value for controlled input. */
    value?: number;
    /**
     * Determines number of units to be displayed.
     * @default 4
     */
    significantUnits?: 5 | 4 | 3 | 2 | 1;
    /**
     * Unit formatting style
     * @default "narrow"
     */
    unitDisplay?: Intl.NumberFormatOptions['unitDisplay'];
    /** Unit of maximum precision */
    maxPrecision?: 'day' | 'hour' | 'minute' | 'second' | 'millisecond';
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLSpanElement>;
}
declare const DurationDisplay: ForwardRefForwardPropsComponent<DurationDisplayProps>;
export default DurationDisplay;
//# sourceMappingURL=DurationDisplay.d.ts.map