import type { FunctionComponent, Ref, Dispatch, SetStateAction, ComponentType } from 'react';
import type { ForwardProps } from '../../../types';
import type DatePickerProps from '../Picker/DatePicker.types';
import type { FormControlProps } from '../../FormControl';
import type DateTimeProps from '../DateTime.types';
export interface DateInputHandleValue {
    setOpen: Dispatch<SetStateAction<boolean>>;
}
export interface DateInputProps extends DateTimeProps {
    /**
     * Display additional column with week number in date picker popover.
     * @default false
     */
    showWeekNumber?: boolean;
    /** Changes default date picker */
    picker?: {
        renderer: ComponentType;
        rendererProps?: Partial<DatePickerProps> & ForwardProps;
    };
    /** Pass a heading and content to show additional information on the field. */
    additionalInfo?: FormControlProps['additionalInfo'];
    /** Additional properties for imperative control. */
    handle?: Ref<DateInputHandleValue>;
}
export declare const StyledDateInput: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, DateInputProps, never>;
declare const _default: FunctionComponent<DateInputProps & ForwardProps> & {
    getTestIds: (testIdProp?: import("../../../types").TestIdProp["testId"]) => import("../../../types").TestIdsRecord<readonly ["control-day", "control-month", "control-year", "open-close-picker", "picker", "clear-current-date", "set-current-date", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=DateInput.d.ts.map