import type { FunctionComponent } from 'react';
import type { ForwardProps } from '../../../types';
import type { FormControlProps } from '../../FormControl';
import type DateTimeProps from '../DateTime.types';
import type { DateRangeCallbackParameter, DateTimeProperties } from '../DateTime.types';
export interface DateRangeInputProps extends DateTimeProperties {
    /** Object of range boundaries. */
    value?: {
        start?: DateTimeProps['value'];
        end?: DateTimeProps['value'];
    };
    /**
     * Display additional column with week number in date picker popover.
     * @default false
     */
    showWeekNumber?: boolean;
    /** Pass a string or a fragment with an Icon and string for first part of DataRangeInput. */
    fromLabel?: FormControlProps['label'];
    /** Pass a string or a fragment with an Icon and string for second part of DataRangeInput. */
    toLabel?: FormControlProps['label'];
    /** Pass an object with "heading" and "content" properties to show AdditionalInfo for second part of DataRangeInput. */
    toAdditionalInfo?: FormControlProps['additionalInfo'];
    /** Pass an object with "heading" and "content" properties to show AdditionalInfo for first part of DataRangeInput. */
    fromAdditionalInfo?: FormControlProps['additionalInfo'];
    /** Callback fired when input value changes. */
    onChange: (value: DateRangeCallbackParameter) => void;
    /** Callback fired when the component gets focused. */
    onFocus?: (value: DateRangeCallbackParameter) => void;
    /** Callback fired when the component loses focus. */
    onBlur?: (value: DateRangeCallbackParameter) => void;
    /** Automatically focuses the input on render. */
    autoFocus?: boolean;
}
declare const _default: FunctionComponent<DateRangeInputProps & ForwardProps> & {
    getTestIds: (testIdProp?: import("../../../types").TestIdProp["testId"]) => import("../../../types").TestIdsRecord<readonly ["from-date", "to-date", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=DateRangeInput.d.ts.map