import type { FunctionComponent } from 'react';
import type { ForwardProps } from '../../../types';
import type { FormControlProps } from '../../FormControl';
import type { MinuteInterval } from '../Picker/DatePicker.types';
import type DateTimeProps from '../DateTime.types';
import type { DateTimeCallbackParameter } from '../DateTime.types';
import type { ClockFormat } from './utils';
import type { DateTimeParts } from './DateTimeInput.types';
export interface DateTimeInputProps extends DateTimeProps {
    /**
     * Display the time with seconds.
     * @default false
     */
    withSeconds?: boolean;
    /**
     * Display additional column with week number in date picker popover.
     * @default false
     */
    showWeekNumber?: boolean;
    /**
     * Defines interval for time picker options (in minutes).
     * @default 30
     */
    pickerInterval?: MinuteInterval;
    /** Defines clock format that overrides locale based format. */
    clockFormat?: ClockFormat;
    /** Pass a heading and content to show additional information on the field. */
    additionalInfo?: FormControlProps['additionalInfo'];
}
export declare const StyledDateTimeInput: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, DateTimeInputProps, never>;
export declare const convertToCallbackParameter: (date: Date, parts: DateTimeParts<string | undefined>) => DateTimeCallbackParameter;
declare const _default: FunctionComponent<DateTimeInputProps & ForwardProps> & {
    getTestIds: (testIdProp?: import("../../../types").TestIdProp["testId"]) => import("../../../types").TestIdsRecord<readonly ["control-day", "control-month", "control-year", "control-hour", "control-minute", "control-second", "control-period", "open-close-picker", "picker", "discard-changes", "apply-changes", "clear-current-date-and-time", "set-current-date-and-time", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=DateTimeInput.d.ts.map