import type { FunctionComponent } from 'react';
import type { ForwardProps } from '../../../types';
import type { FormControlProps } from '../../FormControl';
import type DateTimeProps from '../DateTime.types';
export interface MonthInputProps extends DateTimeProps {
    /**
     * Toggles visibility of inner labels form Month and Year
     * @default true
     */
    innerLabelsHidden?: boolean;
    /** Pass a heading and content to show additional information on the field. */
    additionalInfo?: FormControlProps['additionalInfo'];
}
export declare const StyledMonthInput: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, MonthInputProps, never>;
declare const _default: FunctionComponent<MonthInputProps & ForwardProps> & {
    getTestIds: (testIdProp?: import("../../../types").TestIdProp["testId"]) => import("../../../types").TestIdsRecord<readonly ["control-month", "control-year", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=MonthInput.d.ts.map