import type { FunctionComponent } from 'react';
import type { ForwardProps } from '../../../types';
import type { FormControlProps } from '../../FormControl';
import type DateTimeProps from '../DateTime.types';
import type { MinuteInterval } from '../Picker/DatePicker.types';
import type { ClockFormat } from './utils';
export interface TimeInputProps extends DateTimeProps {
    /**
     * Display the time with seconds.
     * @default false
     */
    withSeconds?: boolean;
    /**
     * Defines interval for time picker options (in minutes).
     * @default 30
     */
    pickerInterval?: MinuteInterval;
    /** Defines clock format that overrides locale based format */
    clockFormat?: ClockFormat;
    /** Pass a heading and content to show additional information on the field. */
    additionalInfo?: FormControlProps['additionalInfo'];
}
export declare const StyledTimeInput: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, TimeInputProps, never>;
declare const _default: FunctionComponent<TimeInputProps & ForwardProps> & {
    getTestIds: (testIdProp?: import("../../../types").TestIdProp["testId"]) => import("../../../types").TestIdsRecord<readonly ["control-hour", "control-minute", "control-second", "control-period", "open-close-picker", "picker", "clear-current-time", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=TimeInput.d.ts.map