import type { RefObject, ReactNode } from 'react';
/**
 * Automatically moves focus to next referenced input when current one's number of chars is equal to max-length.
 * @example const { description, descriptionID } = useAutoFocusNextInput([ref1, ref2, ref3]);
 * @param refs - array of references to relevant input elements
 * @returns An object containing an accessible description and id for that element.
 */
declare const useAutoFocusNextInput: (refs: RefObject<HTMLInputElement>[]) => {
    description: ReactNode;
    descriptionID: string;
};
export default useAutoFocusNextInput;
//# sourceMappingURL=useAutoFocusNextInput.d.ts.map