import type { FunctionComponent } from 'react';
import type { BaseProps, ForwardProps, TestIdProp } from '../../../types';
import type { ClockFormat } from '../Input/utils';
import type { MinuteInterval } from './DatePicker.types';
export interface TimePickerProps extends BaseProps, TestIdProp {
    /**
     * Defines default time that will be selected when the Time Picker is opened.
     * @default new Date()
     */
    selected?: Date;
    /** Callback fired when selected value changes. */
    onSelect: (date: Date) => void;
    /**
     * Defines interval for time picker options (in minutes).
     * @default 30
     */
    interval?: MinuteInterval;
    /** Defines clock format that overrides locale based format */
    clockFormat?: ClockFormat;
}
declare const TimePicker: FunctionComponent<TimePickerProps & ForwardProps>;
export default TimePicker;
//# sourceMappingURL=TimePicker.d.ts.map