import type DatePickerProps from './DatePicker.types';
export declare const getLocalizedDays: (calendarType: string, localeTag?: string) => string[][];
export declare const isValidDate: (date: Date) => boolean;
export declare const getDaysOfMonth: (date: Date, calendarType: string) => Date[];
export declare const getWeeksOfMonth: (date: Date, calendarType: string) => {
    weekNo: number;
    weekYear: number;
}[];
export declare const getNextMonth: (date: Date) => number;
export declare const getPreviousMonth: (date: Date) => number;
export declare function getIntervalGenerator(interval: number): Generator<Date, void, unknown>;
export declare const toDateTimeString: (date: Date | undefined, mode?: DatePickerProps["mode"]) => string | undefined;
/**
 * Shifts date forward or backward. It sets the day of month
 * to the last day of the resulted month if it does not contain the calculated day,
 * ie. 2022-01-31 -> 2022-02-28.
 * @param currentDate a date to advance by month
 * @param shift determines whether it is the next month or the previous month
 * @returns new Date object with advanced month
 */
export declare const shiftDateByMonth: (currentDate: Date, shift: 1 | -1) => Date;
export declare const getCurrentMonthYearLabel: (value: Date, locale: string) => string;
//# sourceMappingURL=utils.d.ts.map