import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { useConsolidatedRef, useFocusTrap } from '../../hooks';
import { StyledDialog } from './Dialog.styles';
export default forwardRef(function Dialog({ arrow = true, target, portal, strategy, placement, children, progress, focusTrap = true, ...restProps }, ref) {
    const dialogRef = useConsolidatedRef(ref);
    useFocusTrap(focusTrap ? dialogRef : null, false);
    return (_jsx(StyledDialog, { ...restProps, role: 'dialog', arrow: arrow, "aria-modal": false, "aria-busy": !!progress, ref: dialogRef, target: target, portal: portal, strategy: strategy, placement: placement, children: children }));
});
//# sourceMappingURL=Dialog.js.map