import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent, NoChildrenProp } from '../../types';
export interface EmailDisplayProps extends BaseProps, NoChildrenProp {
    /** Email address, no 'mailto:' scheme */
    value?: string;
    /** The text to be displayed. */
    displayText?: string;
    /**
     * Controls styling of the field.
     * @default 'link'
     */
    variant?: 'link' | 'text';
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLAnchorElement | HTMLSpanElement>;
}
declare const EmailDisplay: ForwardRefForwardPropsComponent<EmailDisplayProps>;
export default EmailDisplay;
//# sourceMappingURL=EmailDisplay.d.ts.map