import type { Ref } from 'react';
import type { BaseProps, NoChildrenProp, ForwardRefForwardPropsComponent } from '../../types';
export interface ErrorStateProps extends BaseProps, NoChildrenProp {
    /**
     * Message to display below the icon.
     * @default 'Unknown error'
     */
    message?: string;
    /** Callback function that if provided renders a localized Retry button. */
    onRetry?: () => void;
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledErrorState: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
declare const ErrorState: ForwardRefForwardPropsComponent<ErrorStateProps>;
export default ErrorState;
//# sourceMappingURL=ErrorState.d.ts.map