import type { ReactNode, FunctionComponent } from 'react';
import type { BaseProps, ExcludeStrict, ForwardProps, NoChildrenProp, TestIdProp } from '../../types';
export type FieldValueVariant = 'inline' | 'stacked';
interface BaseFieldValueListItem extends TestIdProp {
    name: string;
    id?: string;
    variant?: FieldValueVariant;
}
export type FieldValueListItemProps = (BaseFieldValueListItem & {
    value?: ExcludeStrict<ReactNode, 'string'>;
    truncate?: never;
}) | (BaseFieldValueListItem & {
    value: string;
    truncate?: boolean;
});
export interface FieldValueListProps extends BaseProps, NoChildrenProp, TestIdProp {
    /** The set of field values to render in the list. */
    fields: FieldValueListItemProps[];
    /**
     * Determines if the field and values should be displayed on the same line, or stacked with the field above the value.
     * @default 'inline'
     */
    variant?: FieldValueVariant | 'value-comparison';
}
export declare const StyledFieldName: import("styled-components").StyledComponent<"dt", import("styled-components").DefaultTheme, {}, never>;
export declare const StyledFieldValue: import("styled-components").StyledComponent<"dd", import("styled-components").DefaultTheme, {}, never>;
export declare const StyledStackedFieldValue: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export type StyledFieldValueListProps = Pick<FieldValueListProps, 'variant'>;
export declare const StyledFieldValueList: import("styled-components").StyledComponent<"dl", import("styled-components").DefaultTheme, StyledFieldValueListProps, never>;
export declare const FieldValueItem: (({ testId, name, value, variant, truncate }: FieldValueListItemProps) => import("react/jsx-runtime").JSX.Element) & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly ["name", "value"]>;
};
declare const _default: FunctionComponent<FieldValueListProps & ForwardProps> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=FieldValueList.d.ts.map