import type { NoChildrenProp, WithAttributes } from '../../types';
import type { InfoDialogProps } from '../Dialog';
export type CompactListProps = WithAttributes<'div', NoChildrenProp & Pick<InfoDialogProps, 'progress'> & {
    /** number representing the total count of items */
    count: number;
    heading: InfoDialogProps['heading'];
    /** Callback that triggers when the dialog is open */
    onDialogOpen?: () => void;
    /** Callback that triggers when the dialog is closed */
    onDialogClose?: () => void;
    content?: InfoDialogProps['children'];
}>;
declare const CompactList: import("react").ForwardRefExoticComponent<Omit<CompactListProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default CompactList;
//# sourceMappingURL=CompactList.d.ts.map