import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent, NoChildrenProp } from '../../types';
import type { FileItemProps } from './FileItem';
export interface FileDisplayProps extends Pick<FileItemProps, 'id' | 'onPreview' | 'onDownload' | 'onOpen' | 'previewFromActions'>, BaseProps, NoChildrenProp {
    /** URL address */
    value?: string;
    /** The text to be displayed. */
    displayText?: string;
    /**
     * Display value either as file, link only or textual representation.
     * @default 'file'
     */
    variant?: 'file' | 'link' | 'text';
    /**
     * Used for a compact version of variant 'file' type
     * @default false
     */
    compact?: FileItemProps['compact'];
    /** Thumbnail image. */
    thumbnail?: string;
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLDivElement | HTMLAnchorElement | HTMLSpanElement>;
}
declare const FileDisplay: ForwardRefForwardPropsComponent<FileDisplayProps>;
export default FileDisplay;
//# sourceMappingURL=FileDisplay.d.ts.map