import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import FileList, {} from './FileList';
import CompactList, {} from './CompactList';
const FileDisplayList = forwardRef(function FileDisplayList({ variant, items = [], compact = false, heading, progress, count, onDialogOpen, onDialogClose, onDownloadAll, ...restProps }, ref) {
    const fileListProps = {
        type: 'display',
        items: items.map(item => ({ ...item, variant })),
        onDownloadAll
    };
    return compact ? (_jsx(CompactList, { ...restProps, count: count ?? items.length, onDialogOpen: onDialogOpen, onDialogClose: onDialogClose, heading: heading, progress: progress, content: progress ? undefined : _jsx(FileList, { ...fileListProps }), ref: ref })) : (_jsx(FileList, { ...restProps, ...fileListProps, ref: ref }));
});
export default FileDisplayList;
//# sourceMappingURL=FileDisplayList.js.map