import type { Ref, SyntheticEvent } from 'react';
import type { DefaultTheme } from 'styled-components';
import type { ForwardRefForwardPropsComponent, BaseProps } from '../../types';
import type { AttachmentType } from './utils';
export interface FileVisualProps extends BaseProps {
    /** Attachment/File type, it has an impact on background color and icon rendered. */
    type: AttachmentType;
    /** A string to be used as an image src for a attachment thumbnail. */
    thumbnail?: string;
    /** Called when a thumbnail encounters an error while loading. */
    onThumbnailError?: (e: SyntheticEvent<HTMLImageElement>) => void;
    /** Reference to a button element. */
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledFileVisual: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const StyledTextFrame: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
declare const FileVisual: ForwardRefForwardPropsComponent<FileVisualProps>;
export default FileVisual;
//# sourceMappingURL=FileVisual.d.ts.map