export type AttachmentType = 'generic' | 'image' | 'video' | 'audio' | 'pdf' | 'archive' | 'text' | 'message' | 'link' | 'database' | 'document' | 'spreadsheet' | 'presentation';
/**
 * Returns approximately correct mime type for given file based upon the extension. Only few extensions are recognized.
 * @param fileName file name or url to discover the mime type from.
 * @returns mime type associated to the file.
 */
export declare const getMimeTypeFromFile: (fileName: string) => string | undefined;
export declare const getKindFromMimeType: (mimeType: string) => AttachmentType;
//# sourceMappingURL=utils.d.ts.map