import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { createPortal } from 'react-dom';
import styled from 'styled-components';
import { useConfiguration } from '../../hooks';
export const StyledHiddenText = styled.span `
  display: none;
`;
export default forwardRef(function HiddenText(props, ref) {
    const { portalTarget } = useConfiguration();
    return portalTarget
        ? createPortal(_jsx(StyledHiddenText, { ...props, ref: ref }), portalTarget)
        : null;
});
//# sourceMappingURL=HiddenText.js.map