import type { FunctionComponent } from 'react';
import type { ForwardProps } from '../../types';
import { type ComboBoxProps } from '../ComboBox';
import { type IconProps } from '../Icon';
import type { MenuProps } from '../Menu';
export interface IconPickerProps extends Pick<ComboBoxProps, 'id' | 'label' | 'labelHidden' | 'required' | 'disabled' | 'readOnly' | 'name' | 'status' | 'info' | 'placeholder' | 'autoFocus'>, Pick<MenuProps, 'scrollAt'> {
    /** Default selection for the input. */
    defaultSelection: string;
    /** Callback fired when user chooses icon from the list of icons. */
    onSelect?: (iconName: string) => void;
    /**
     * The set of icons to pick from.
     * @default 'budicon'
     */
    set?: IconProps['set'];
}
declare const IconPicker: FunctionComponent<IconPickerProps & ForwardProps>;
export default IconPicker;
//# sourceMappingURL=IconPicker.d.ts.map