import type { Action, NoChildrenProp, TestIdProp, WithAttributes } from '../../types';
import type { FormControlProps } from '../FormControl';
export type InputProps = WithAttributes<'input', FormControlProps & TestIdProp & NoChildrenProp & {
    /**
     * Specifies the type of input to be used.
     * @default 'text'
     */
    type?: 'text' | 'password' | 'number' | 'email' | 'url' | 'search' | 'tel' | 'date' | 'datetime-local' | 'time' | 'week' | 'month' | 'hidden' | 'color';
    /** Pass an array of Action objects to append button(s) inline with the Input. */
    actions?: Action[];
}>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<InputProps, "ref"> & import("react").RefAttributes<HTMLInputElement>> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly ["control", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=Input.d.ts.map