import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
import type { LocationViewProps } from './LocationView';
import type { LatLng } from './Location.types';
export interface LocationDisplayProps extends BaseProps {
    /** Location address or coordinates */
    value?: string | 'current' | LatLng;
    /** The text to be displayed. */
    displayText?: string;
    /**
     * Controls styling of the field.
     * @default 'text-map'
     */
    variant?: 'text-map' | 'text' | 'map';
    /**
     * Height of the map container.
     * @default '25rem'
     */
    height?: LocationViewProps['height'];
    /**
     * How much the map should zoom.
     * @default 13
     */
    zoomLevel?: LocationViewProps['zoomLevel'];
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLAnchorElement | HTMLSpanElement>;
}
declare const LocationDisplay: ForwardRefForwardPropsComponent<LocationDisplayProps>;
export default LocationDisplay;
//# sourceMappingURL=LocationDisplay.d.ts.map