import type { NoChildrenProp, WithAttributes } from '../../types';
export type NumberDisplayProps = WithAttributes<'span', NoChildrenProp & {
    /** Number value */
    value?: number | bigint;
    /** Unit to be included in the text, for example '%' */
    unit?: string;
    formattingOptions?: {
        /**
         * Value display notation.
         * @default 'standard'
         */
        notation?: 'standard' | 'compact';
        /**
         * Determines the fixed number of fraction digits. The value is rounded to the given precision.
         * Maximum is 20, default is value precision.
         * @default variable
         */
        fractionDigits?: number;
        /**
         * Determines whether group separators should be shown.
         * @default true
         */
        groupSeparators?: boolean;
    };
}>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<NumberDisplayProps, "ref"> & import("react").RefAttributes<HTMLSpanElement>>;
export default _default;
//# sourceMappingURL=NumberDisplay.d.ts.map