import { type ReactElement } from 'react';
import type { ForwardProps } from '../../../types';
/** CSS Class name for GridEditor resize-handles */
export declare const resizeHandleClassName = "gridLayoutCustomResizeHandle";
/** Custom resize-handle for GridLayoutEditor */
export declare const ResizeHandle: import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<unknown>>;
interface EditorGridItemProps extends ForwardProps {
    children: ReactElement;
    itemKey: ReactElement['key'];
    itemLabel: string;
    moveItem: (key: ReactElement['key'], deltaX: number, deltaY: number) => void;
    addOrSubtractItemSize: (key: ReactElement['key'], deltaX: number, deltaY: number) => void;
}
/**
 * Wrapper on top of GridItems to provide custom styling etc.
 * https://github.com/react-grid-layout/react-grid-layout#custom-child-components-and-draggable-handles
 */
declare const EditorGridItem: import("react").ForwardRefExoticComponent<Omit<EditorGridItemProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default EditorGridItem;
//# sourceMappingURL=EditorGridItem.d.ts.map