import type { Layout } from 'react-grid-layout';
/** A breakpoint on the responsive GridLayout editor */
export type GridBreakPoint = 'lg' | 'md' | 'sm' | 'xs' | 'xxs';
/** The persisted layout model could contain any subset of breakpoints */
export type GridLayoutModel = Partial<Record<GridBreakPoint, Layout[]>>;
/** Numeric configuration per each breakpoint in GridLayout */
export type GridBreakPointWiseValues = Partial<Record<GridBreakPoint, number>>;
/**
 * Config common to GridLayoutEditor and GridLayoutViewer.
 * These properties need to stay consistent between the design-time and run-time layouts.
 * @returns Default RGL props for the GridLayout editor/viewer
 */
export default function useGridLayoutConfig(): {
    margin: [number, number];
    containerPadding: [number, number];
    compactType: "vertical";
};
//# sourceMappingURL=config.d.ts.map