import type { FunctionComponent } from 'react';
import type { BaseProps, ForwardProps, NoChildrenProp } from '../../types';
export interface PaginationProps extends BaseProps, NoChildrenProp {
    /** Total number of items. */
    total: number;
    /**
     * Size of each page.
     * @default 10
     */
    pageSize?: number;
    /**
     * Current page number.
     * @default 1
     */
    pageNumber?: number;
    /** Function to handle page change. */
    onPageChange?: (pageNumber: number) => void;
}
declare const Pagination: FunctionComponent<PaginationProps & ForwardProps>;
export default Pagination;
//# sourceMappingURL=Pagination.d.ts.map