import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent, NoChildrenProp } from '../../types';
export interface PhoneDisplayProps extends BaseProps, NoChildrenProp {
    /** Phone number, no 'tel:' scheme, '+18887342669' */
    value?: string;
    /** The text to be displayed. */
    displayText?: string;
    /**
     * Controls styling of the field.
     * @default 'link'
     */
    variant?: 'link' | 'text';
    /** Options to define formatting. */
    formattingOptions?: {
        /**
         * Display phone number with country calling code
         * @default true
         */
        showCountryCode?: boolean;
    };
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLAnchorElement | HTMLSpanElement>;
}
declare const PhoneDisplay: ForwardRefForwardPropsComponent<PhoneDisplayProps>;
export default PhoneDisplay;
//# sourceMappingURL=PhoneDisplay.d.ts.map