import { jsx as _jsx } from "react/jsx-runtime";
import { useCallback, useMemo, useState } from 'react';
import { PopoverManagerContext } from './PopoverContext';
const PopoverManager = ({ children }) => {
    const [popovers, setPopovers] = useState({});
    const checkActive = useCallback((id, groupId) => {
        return popovers[groupId] === id;
    }, [popovers]);
    const setActive = useCallback((id, groupId) => {
        setPopovers(curr => {
            return { ...curr, [groupId]: id };
        });
    }, []);
    const ctx = useMemo(() => ({
        checkActive,
        setActive,
        popovers
    }), [checkActive, setActive, popovers]);
    return _jsx(PopoverManagerContext.Provider, { value: ctx, children: children });
};
export default PopoverManager;
//# sourceMappingURL=PopoverManager.js.map