import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { StyledProgressBar } from './Progress.styles';
const Bar = forwardRef(function Bar({ value, minValue = 0, maxValue = 100, message, placement, style, ...restProps }, ref) {
    let percentage = value;
    if (typeof value === 'number') {
        if (value > maxValue || minValue > maxValue)
            percentage = 0;
        else if (value < minValue)
            percentage = 100;
        else
            percentage = (1 - (value - minValue) / (maxValue - minValue)) * -100;
    }
    return (_jsx(StyledProgressBar, { ref: ref, role: 'progressbar', "aria-valuemin": minValue, "aria-valuemax": maxValue, "aria-valuenow": value, placement: placement, determinate: typeof value === 'number', style: { ...style, '--progress': percentage ? `${percentage}%` : '' }, ...restProps }));
});
export default Bar;
//# sourceMappingURL=Bar.js.map