import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import RadioCheck from '../RadioCheck';
import { useTestIds } from '../../hooks';
import { withTestIds } from '../../utils';
import { getRadioButtonTestIds } from './RadioButton.test-ids';
const RadioButton = forwardRef(function RadioButton({ testId, ...restProps }, ref) {
    const testIds = useTestIds(testId, getRadioButtonTestIds);
    return _jsx(RadioCheck, { ...restProps, testId: testIds, type: 'radio', ref: ref });
});
export default withTestIds(RadioButton, getRadioButtonTestIds);
//# sourceMappingURL=RadioButton.js.map