import type { FunctionComponent } from 'react';
import type { BaseProps, ForwardProps, NoChildrenProp } from '../../types';
export interface RatingProps extends BaseProps, NoChildrenProp {
    /**
     * Sets the rating to read only.
     * @default false
     */
    readOnly?: boolean;
    /**
     * The maximum rating allowed. Must be an integer greater than 1.
     * @default 5
     */
    maxRating?: number;
    /** The value of the Rating. Could be a decimal or integer. */
    value: number;
    /** Text that is displayed in parentheses inline with the Rating stars. */
    metaInfo?: string;
    /** Aria label for screen readers. */
    'aria-label'?: string;
    /**
     * The tabIndex to control focus.
     * @default 0
     */
    tabIndex?: number;
}
interface StyledPartialRatingProps {
    ratingPercentage: number;
}
export declare const StyledPartialRating: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, StyledPartialRatingProps, never>;
declare const Rating: FunctionComponent<RatingProps & ForwardProps>;
export default Rating;
//# sourceMappingURL=Rating.d.ts.map