import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { useTestIds } from '../../hooks';
import Text from '../Text';
import { withTestIds } from '../../utils';
import { getSelectionCardTestIds } from './SelectionCard.test-ids';
import SelectionCard from './SelectionCard';
const SelectionCardDisplay = forwardRef(function SelectionCardDisplay({ testId, label, ...restProps }, ref) {
    const testIds = useTestIds(testId, getSelectionCardTestIds);
    return (_jsx(SelectionCard, { ...restProps, testId: testIds, label: label, heading: _jsx(Text, { variant: 'h4', as: 'span', children: label }), ref: ref }));
});
export default withTestIds(SelectionCardDisplay, getSelectionCardTestIds);
//# sourceMappingURL=SelectionCardDisplay.js.map