import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent, NoChildrenProp } from '../../types';
export interface SentimentProps extends BaseProps, NoChildrenProp {
    /** Ref to the element */
    ref?: Ref<HTMLDivElement>;
    /** Variant of the sentiment */
    variant: 'positive' | 'neutral' | 'negative';
    /** Flag that indicates if label needs to be hidden
     * @default false
     */
    labelHidden?: boolean;
    /** Labels for different sentiment variants. If not supplied default labels will be shown */
    labels?: {
        [variant in SentimentProps['variant']]?: string;
    };
    /** Icons for different sentiment variants. If not supplied default icons will be shown */
    icons?: {
        [variant in SentimentProps['variant']]?: string;
    };
    /** Aria label for screen readers. */
    'aria-label'?: string;
}
export declare const StyledSentiment: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, SentimentProps, never>;
declare const Sentiment: ForwardRefForwardPropsComponent<SentimentProps>;
export default Sentiment;
//# sourceMappingURL=Sentiment.d.ts.map