import type { FunctionComponent } from 'react';
import type { BaseProps, ForwardProps } from '../../types';
export interface RectangleSkeletonProps extends BaseProps {
    /**
     * Width of the skeleton.
     * @default 'auto'
     */
    width?: string | number;
    /**
     * Height of the skeleton.
     * @default 'auto'
     */
    height?: string | number;
    /**
     * Variant of the skeleton.
     * @default 'default'
     */
    variant?: 'default' | 'button';
}
export declare const StyledRectangleSkeleton: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, Partial<RectangleSkeletonProps>, never>;
declare const RectangleSkeleton: FunctionComponent<RectangleSkeletonProps & ForwardProps>;
export default RectangleSkeleton;
//# sourceMappingURL=RectangleSkeleton.d.ts.map