import type { ReactNode, Ref } from 'react';
import type { ForwardRefForwardPropsComponent } from '../../types';
import type { TabsContextValue } from './TabsContext';
import type { TabsProps } from './Tabs.types';
export interface TabProps {
    /** Indicates if this Tab is active. */
    selected: boolean;
    /** The text to display as the name of the Tab. */
    content: string;
    /** A number to associate with the Tab. */
    count?: ReactNode;
    /** Determines the direction in which the Tab will render. */
    type: TabsProps['type'];
    /** Disables the tab if true */
    disabled?: boolean;
    /** An error to associate with the Tab. */
    errors?: number | boolean;
    /** Ref to the tab element. */
    ref?: Ref<HTMLButtonElement | HTMLAnchorElement>;
}
export interface StyledTabProps {
    selected: TabProps['selected'];
    tabType: TabProps['type'];
}
export declare const StyledTab: import("styled-components").StyledComponent<ForwardRefForwardPropsComponent<import("../Button/BareButton").BareButtonProps>, import("styled-components").DefaultTheme, StyledTabProps & {
    level?: TabsContextValue["level"];
}, never>;
declare const Tab: ForwardRefForwardPropsComponent<TabProps>;
export default Tab;
//# sourceMappingURL=Tab.d.ts.map