import type { ReactNode, Ref, RefObject } from 'react';
import type { ForwardRefForwardPropsComponent } from '../../types';
import type { TabsProps } from './Tabs.types';
interface TabPanelProps {
    /** The id of the Tab that the tab panel is related to. */
    tabId: string;
    /**
     * The current selected value of the tabs. Controls the visibility of the tab panel.
     * The tabsValue must match the tabId in order for the TabPanel to show itself.
     */
    currentTabId?: string;
    /** The title for the tab panel */
    title?: string;
    /** Content of the tab panel. */
    children: ReactNode;
    /** Ref to the tablist element. */
    tablistRef?: RefObject<HTMLElement>;
    /**
     * The tablist type indicates what direction the tabs are rendered in.
     * @default 'horizontal'
     */
    tablistType?: TabsProps['type'];
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledTabPanel: import("styled-components").StyledComponent<ForwardRefForwardPropsComponent<import("../Flex").FlexProps>, import("styled-components").DefaultTheme, Pick<TabPanelProps, "tablistType"> & {
    current: boolean;
    level: number;
}, never>;
declare const TabPanel: ForwardRefForwardPropsComponent<TabPanelProps>;
export default TabPanel;
//# sourceMappingURL=TabPanel.d.ts.map