import type { ReactNode, Ref } from 'react';
import type { HeadingTag, BaseProps, ForwardRefForwardPropsComponent, AsProp, PropsWithDefaults } from '../../types';
export interface TextProps extends BaseProps, AsProp {
    /** Text content. */
    children: ReactNode;
    /**
     * Typographical sizes and styles.
     * @default 'primary'
     */
    variant?: 'primary' | 'secondary' | HeadingTag;
    /** Render text with semantic color based on a status. */
    status?: 'error' | 'warning' | 'success';
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLSpanElement | HTMLHeadingElement>;
}
type TextPropsWithDefaults = PropsWithDefaults<TextProps, 'variant'>;
export declare const StyledText: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, TextPropsWithDefaults, never>;
declare const Text: ForwardRefForwardPropsComponent<TextProps>;
export default Text;
//# sourceMappingURL=Text.d.ts.map