import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent, NoChildrenProp } from '../../types';
export interface URLDisplayProps extends BaseProps, NoChildrenProp {
    /** URL address, includes scheme, 'http://', 'https://' */
    value?: string;
    /** The text to be displayed. */
    displayText?: string;
    /**
     * Controls styling of the field.
     * @default 'link'
     */
    variant?: 'link' | 'text' | 'qrcode';
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLAnchorElement | HTMLSpanElement | HTMLImageElement | HTMLDivElement>;
}
declare const URLDisplay: ForwardRefForwardPropsComponent<URLDisplayProps>;
export default URLDisplay;
//# sourceMappingURL=URLDisplay.d.ts.map