import type { RefObject, DependencyList } from 'react';
/**
 * @example useArrows(ref, { cycle, selector });
 * @param ref - A reference to the element that will be navigated through. [React RefObject](https://reactjs.org/docs/refs-and-the-dom.html)
 */
declare const useArrows: (ref: RefObject<HTMLElement>, { cycle, selector, dir, allowTabFocus, updateTabIndex, initialFocusElement }?: {
    cycle?: boolean;
    selector?: string;
    dir?: "up-down" | "left-right";
    allowTabFocus?: boolean;
    updateTabIndex?: boolean;
    initialFocusElement?: Element | null;
}, dependencies?: DependencyList) => void;
export default useArrows;
//# sourceMappingURL=useArrows.d.ts.map