import type { MutableRefObject } from 'react';
/**
 * @example const [ref, resizeFunction] = useAutoResize();
 * maxHeight should be provided in pixels without units
 * minHeight should be provided in pixels without units
 * @returns * ref:: A reference for the element that the resize functionality should be applied to. [React RefObject](https://reactjs.org/docs/refs-and-the-dom.html)
 *          * resizeFunction:: The function to call to automatically resize the element.
 * element refers to auto resizable element
 */
declare const useAutoResize: <T extends HTMLElement = HTMLElement>(maxHeight?: number, minHeightProp?: number) => [MutableRefObject<T | null>, () => void];
export default useAutoResize;
//# sourceMappingURL=useAutoResize.d.ts.map