import type { RefObject } from 'react';
/**
 * @example const breakpointActive = useBreakpoint(breakpoint);
 * @param breakpoint The string indicator for the breakpoint that should be checked for validity.
 * @param options
 * @returns breakpointActive:: A boolean indicating if the given breakpoint is active or not. If false, the breakpoint is too big for the screen size.
 */
declare const useBreakpoint: (breakpoint: "xs" | "sm" | "md" | "lg" | "xl", { breakpointRef, defaultValue, themeProp }?: {
    breakpointRef?: RefObject<Element> | undefined;
    defaultValue?: boolean;
    themeProp?: "breakpoints" | "content-width";
}) => boolean;
export default useBreakpoint;
//# sourceMappingURL=useBreakpoint.d.ts.map