import { useMemo } from 'react';
import useConfiguration from './useConfiguration';
const useDirection = () => {
    const { direction } = useConfiguration();
    return useMemo(() => {
        return direction === 'ltr'
            ? {
                start: 'left',
                end: 'right',
                ltr: true,
                rtl: false
            }
            : {
                start: 'right',
                end: 'left',
                ltr: false,
                rtl: true
            };
    }, [direction]);
};
export default useDirection;
//# sourceMappingURL=useDirection.js.map