import type { RefCallback } from 'react';
/**
 * @example const [element, setElementFunction] = useElement(initial);
 * @param initial The initial value to set to element.
 * @returns * element:: A DOM Element.
 *          * setElementFunction:: The function responsible for setting and resetting the element variable. This function is typically passed to the ref attribute of the element you wish to reference.
 */
declare const useElement: <T extends Element>(initial?: T | null) => [T | null, RefCallback<T>];
export default useElement;
//# sourceMappingURL=useElement.d.ts.map