import { useEffect } from 'react';
import { normalizeTargets } from '../utils';
function useEvent(eventName, cb, { target = document, eventOptions, dependencies = [] } = {}) {
    useEffect(() => {
        const [t] = normalizeTargets([target]);
        if (!t)
            return;
        t.addEventListener(eventName, cb, eventOptions);
        return () => {
            t.removeEventListener(eventName, cb, eventOptions);
        };
    }, [eventName, target, cb, eventOptions, ...dependencies]);
}
export default useEvent;
//# sourceMappingURL=useEvent.js.map