import type { RefObject } from 'react';
/**
 * Formats the raw value using given formatter and handles the caret position.
 * @param ref reference to input element.
 * @param rawValue value to be formatted.
 * @param formatter formatter function accepting partial input and returning partially formatted value.
 * @param acceptableCharacters string containing all the characters that may appear in the value to format. RegExp shorthands are also accepted. Only numbers are accepted by default.
 * @returns formatted value that should be passed to the input component.
 */
declare const useInputFormatter: (ref: RefObject<HTMLInputElement>, rawValue: string, formatter: (value: string) => string, acceptableCharacters?: string) => string;
export default useInputFormatter;
//# sourceMappingURL=useInputFormatter.d.ts.map