import type { RefObject } from 'react';
/**
 * @example useOuterEvent(eventName, [nodes], handler = () => { doSomething; });
 * @param eventName The type of event to trigger the handler function on. Reference [DocumentEventMap](https://microsoft.github.io/PowerBI-JavaScript/interfaces/_node_modules_typedoc_node_modules_typescript_lib_lib_dom_d_.documenteventmap.html) for a list of valid events.
 * @param nodes An array of Nodes or Refs to Nodes to attach the eventName to.
 * @param handler The function that is called when the given event occurs.
 */
declare const useOuterEvent: <EventName extends keyof DocumentEventMap>(eventName: EventName | EventName[], nodes: (Node | null | RefObject<Node | null>)[], handler: (event: DocumentEventMap[EventName]) => void) => void;
export default useOuterEvent;
//# sourceMappingURL=useOuterEvent.d.ts.map