import type { RefCallback } from 'react';
/**
 * @see [React docs for suggested pattern](https://react.dev/learn/manipulating-the-dom-with-refs#how-to-manage-a-list-of-refs-using-a-ref-callback)
 * @returns A tuple containing a map of refs and a function to get a ref callback for a given id.
 */
declare const useRefMap: <T>() => [Map<string, T>, (id: string) => RefCallback<T>];
export default useRefMap;
//# sourceMappingURL=useRefMap.d.ts.map