import { useState } from 'react';
import { createSimpleStore } from './useSimpleStore';
/**
 * Hook to create and return a single instance of SimpleStore.
 * @example const store = useSimpleStoreInstance(initialState);
 * @param initialState initial value for a store state.
 * @returns the store object
 */
const useSimpleStoreInstance = (initialState) => {
    return useState(() => createSimpleStore(initialState))[0];
};
export default useSimpleStoreInstance;
//# sourceMappingURL=useSimpleStoreInstance.js.map