/**
 * @example const triggerFunction = useTriggerableEffect(cb);
 * @param cb The callback function that will be invoked after re-render by the useEffect.
 * @returns triggerFunction:: The function that will trigger the useEffect.
 */
declare const useTriggerableEffect: <F extends (...args: never[]) => void>(cb: F) => (...args: Parameters<F>) => void;
export default useTriggerableEffect;
//# sourceMappingURL=useTriggerableEffect.d.ts.map