/**
 * @example const triggerFunction = useTriggerableLayoutEffect(cb);
 * @param cb The callback function that will be invoked after re-render by the useLayoutEffect.
 * @returns triggerFunction:: The function that will trigger the useLayoutEffect.
 */
declare const useTriggerableLayoutEffect: <F extends (...args: never[]) => void>(cb: F) => (...args: Parameters<F>) => void;
export default useTriggerableLayoutEffect;
//# sourceMappingURL=useTriggerableLayoutEffect.d.ts.map