import { useRef } from 'react';
import { createUID } from '../utils';
/**
 * Generate unique identifier that is stable across renders.
 * @example const stableUID = useUID();
 * @returns uid:: The same autogenerated UID between renders.
 */
const useUID = () => {
    return useRef(createUID()).current;
};
export default useUID;
//# sourceMappingURL=useUID.js.map