import ThemeMachine from './ThemeMachine';
import type { ToThemeIFace, SettableTheme } from './ThemeMachine';
import defaultThemeDefinition from './themeDefinition.json';
export type DefaultThemeDefinition = typeof defaultThemeDefinition;
export { defaultThemeDefinition as themeDefinition };
export declare const BaseThemeMachine: ThemeMachine<{
    base: {
        colors: {
            white: {
                $type: string;
                $value: string;
            };
            black: {
                $type: string;
                $value: string;
            };
            gray: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
            slate: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
            red: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
            orange: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
            green: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
            blue: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
            purple: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
            yellow: {
                "extra-light": {
                    $type: string;
                    $value: string;
                };
                light: {
                    $type: string;
                    $value: string;
                };
                medium: {
                    $type: string;
                    $value: string;
                };
                dark: {
                    $type: string;
                    $value: string;
                };
                "extra-dark": {
                    $type: string;
                    $value: string;
                };
            };
        };
        palette: {
            ai: {
                $type: string;
                $value: string;
            };
            "app-background": {
                $type: string;
                $value: string;
            };
            "primary-background": {
                $type: string;
                $value: string;
            };
            "secondary-background": {
                $type: string;
                $value: string;
            };
            "foreground-color": {
                $type: string;
                $value: string;
            };
            "brand-primary": {
                $type: string;
                $value: string;
            };
            "brand-secondary": {
                $type: string;
                $value: string;
            };
            "brand-background": {
                $type: string;
                $value: string;
            };
            "brand-foreground": {
                $type: string;
                $value: string;
            };
            urgent: {
                $type: string;
                $value: string;
            };
            warn: {
                $type: string;
                $value: string;
            };
            success: {
                $type: string;
                $value: string;
            };
            pending: {
                $type: string;
                $value: string;
            };
            info: {
                $type: string;
                $value: string;
            };
            interactive: {
                $type: string;
                $value: string;
            };
            "border-line": {
                $type: string;
                $value: string;
            };
            skeleton: {
                $type: string;
                $value: string;
            };
            light: {
                $type: string;
                $value: string;
            };
            dark: {
                $type: string;
                $value: string;
            };
            "background-color": {
                $type: string;
                $value: string;
            };
            "scrollbar-track": {
                $type: string;
                $value: string;
            };
            "scrollbar-thumb": {
                $type: string;
                $value: string;
            };
        };
        "font-family": {
            $type: string;
            $value: string;
        };
        "font-size": {
            $type: string;
            $value: string;
        };
        "font-scale": {
            $type: string;
            $value: string;
        };
        "font-stretch": {
            $type: string;
            $value: string;
        };
        "letter-spacing": {
            $type: string;
            $value: string;
        };
        "font-weight": {
            bold: {
                $type: string;
                $value: number;
            };
            "semi-bold": {
                $type: string;
                $value: number;
            };
            normal: {
                $type: string;
                $value: number;
            };
        };
        "line-height": {
            $type: string;
            $value: string;
        };
        scale: {
            $type: string;
            $value: number;
        };
        "border-radius": {
            $type: string;
            $value: string;
        };
        spacing: {
            $type: string;
            $value: string;
        };
        "hit-area": {
            compact: {
                $type: string;
                $value: string;
            };
            "compact-min": {
                $type: string;
                $value: string;
            };
            mouse: {
                $type: string;
                $value: string;
            };
            "mouse-min": {
                $type: string;
                $value: string;
            };
            finger: {
                $type: string;
                $value: string;
            };
            "finger-min": {
                $type: string;
                $value: string;
            };
        };
        "custom-scrollbar": {
            $type: string;
            $value: boolean;
        };
        animation: {
            speed: {
                $type: string;
                $value: string;
            };
            timing: {
                ease: {
                    $type: string;
                    $value: string;
                };
                "ease-out": {
                    $type: string;
                    $value: string;
                };
                "ease-in": {
                    $type: string;
                    $value: string;
                };
            };
        };
        transparency: {
            "transparent-1": {
                $type: string;
                $value: number;
            };
            "transparent-2": {
                $type: string;
                $value: number;
            };
            "transparent-3": {
                $type: string;
                $value: number;
            };
            "transparent-4": {
                $type: string;
                $value: number;
            };
            "transparent-5": {
                $type: string;
                $value: number;
            };
        };
        "disabled-opacity": {
            $type: string;
            $value: string;
        };
        shadow: {
            high: {
                $type: string;
                $value: string;
            };
            low: {
                $type: string;
                $value: string;
            };
            "high-filter": {
                $type: string;
                $value: string;
            };
            "low-filter": {
                $type: string;
                $value: string;
            };
            focus: {
                $type: string;
                $value: string;
            };
            "focus-group": {
                $type: string;
                $value: string;
            };
            "focus-group-inset": {
                $type: string;
                $value: string;
            };
            "focus-inset": {
                $type: string;
                $value: string;
            };
            "focus-solid": {
                $type: string;
                $value: string;
            };
            "focus-filter": {
                $type: string;
                $value: string;
            };
        };
        "z-index": {
            popover: {
                $type: string;
                $value: number;
            };
            drawer: {
                $type: string;
                $value: number;
            };
            modal: {
                $type: string;
                $value: number;
            };
            alert: {
                $type: string;
                $value: number;
            };
            backdrop: {
                $type: string;
                $value: number;
            };
            toast: {
                $type: string;
                $value: number;
            };
            tooltip: {
                $type: string;
                $value: number;
            };
            max: {
                $type: string;
                $value: number;
            };
        };
        breakpoints: {
            xs: {
                $type: string;
                $value: string;
            };
            sm: {
                $type: string;
                $value: string;
            };
            md: {
                $type: string;
                $value: string;
            };
            lg: {
                $type: string;
                $value: string;
            };
            xl: {
                $type: string;
                $value: string;
            };
        };
        "content-width": {
            xs: {
                $type: string;
                $value: string;
            };
            sm: {
                $type: string;
                $value: string;
            };
            md: {
                $type: string;
                $value: string;
            };
            lg: {
                $type: string;
                $value: string;
            };
            xl: {
                $type: string;
                $value: string;
            };
        };
        "icon-set": {
            $type: string;
            $value: string;
        };
    };
    components: {
        "app-shell": {
            nav: {
                background: {
                    $type: string;
                    $value: string;
                };
                "foreground-color": {
                    $type: string;
                    $value: string;
                };
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
                detached: {
                    $type: string;
                    $value: boolean;
                };
            };
            header: {
                background: {
                    $type: string;
                    $value: string;
                };
                "foreground-color": {
                    $type: string;
                    $value: string;
                };
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
        };
        "case-view": {
            header: {
                background: {
                    $type: string;
                    $value: string;
                };
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "foreground-color": {
                    $type: string;
                    $value: string;
                };
            };
            summary: {
                detached: {
                    $type: string;
                    $value: boolean;
                };
            };
            utilities: {
                detached: {
                    $type: string;
                    $value: boolean;
                };
                background: {
                    $type: string;
                    $value: string;
                };
                "foreground-color": {
                    $type: string;
                    $value: string;
                };
            };
            assignments: {
                background: {
                    $type: string;
                    $value: string;
                };
                "foreground-color": {
                    $type: string;
                    $value: string;
                };
                detached: {
                    $type: string;
                    $value: boolean;
                };
            };
            stages: {
                status: {
                    completed: {
                        "foreground-color": {
                            $type: string;
                            $value: string;
                        };
                        background: {
                            $type: string;
                            $value: string;
                        };
                    };
                    current: {
                        "foreground-color": {
                            $type: string;
                            $value: string;
                        };
                        background: {
                            $type: string;
                            $value: string;
                        };
                    };
                    pending: {
                        "foreground-color": {
                            $type: string;
                            $value: string;
                        };
                        background: {
                            $type: string;
                            $value: string;
                        };
                    };
                };
            };
        };
        announcement: {
            background: {
                $type: string;
                $value: string;
            };
            "foreground-color": {
                $type: string;
                $value: string;
            };
        };
        avatar: {
            "background-color": {
                $type: string;
                $value: string;
            };
        };
        badges: {
            "font-stretch": {
                $type: string;
                $value: string;
            };
            status: {
                success: {
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
                urgent: {
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
                warn: {
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
                pending: {
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
                info: {
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
            };
            tag: {
                foreground: {
                    $type: string;
                    $value: string;
                };
                background: {
                    $type: string;
                    $value: string;
                };
            };
            count: {
                default: {
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
                urgent: {
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
            };
            alert: {
                urgent: {
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
                success: {
                    background: {
                        $type: string;
                        $value: string;
                    };
                };
                base: {
                    "border-color": {
                        $type: string;
                        $value: string;
                    };
                };
            };
            keyboard: {
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
        };
        banner: {
            "icon-color": {
                $type: string;
                $value: string;
            };
            urgent: {
                background: {
                    $type: string;
                    $value: string;
                };
            };
            warning: {
                background: {
                    $type: string;
                    $value: string;
                };
            };
            success: {
                background: {
                    $type: string;
                    $value: string;
                };
            };
            ai: {
                background: {
                    $type: string;
                    $value: string;
                };
            };
            info: {
                background: {
                    $type: string;
                    $value: string;
                };
            };
        };
        button: {
            height: {
                $type: string;
                $value: string;
            };
            "border-width": {
                $type: string;
                $value: string;
            };
            "border-radius": {
                $type: string;
                $value: number;
            };
            color: {
                $type: string;
                $value: string;
            };
            "foreground-color": {
                $type: string;
                $value: string;
            };
            "secondary-color": {
                $type: string;
                $value: string;
            };
            "secondary-fill-style": {
                $type: string;
                $value: string;
            };
            "focus-shadow": {
                $type: string;
                $value: string;
            };
            padding: {
                $type: string;
                $value: string;
            };
            touch: {
                height: {
                    $type: string;
                    $value: string;
                };
                padding: {
                    $type: string;
                    $value: string;
                };
            };
        };
        card: {
            "border-radius": {
                $type: string;
                $value: string;
            };
            background: {
                $type: string;
                $value: string;
            };
            "foreground-color": {
                $type: string;
                $value: string;
            };
            padding: {
                $type: string;
                $value: string;
            };
            "border-color": {
                $type: string;
                $value: string;
            };
        };
        checkbox: {
            "border-radius": {
                $type: string;
                $value: string;
            };
        };
        "field-value-list": {
            inline: {
                detached: {
                    $type: string;
                    $value: boolean;
                };
            };
        };
        details: {
            "field-label": {
                $type: string;
                $value: string;
            };
        };
        "form-control": {
            "foreground-color": {
                $type: string;
                $value: string;
            };
            "background-color": {
                $type: string;
                $value: string;
            };
            "border-color": {
                $type: string;
                $value: string;
            };
            "border-width": {
                $type: string;
                $value: string;
            };
            "border-radius": {
                $type: string;
                $value: number;
            };
            padding: {
                $type: string;
                $value: string;
            };
            ":hover": {
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
            ":active": {
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
            ":focus": {
                "border-color": {
                    $type: string;
                    $value: string;
                };
                "box-shadow": {
                    $type: string;
                    $value: string;
                };
            };
            ":disabled": {
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
            ":read-only": {
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
        };
        "form-field": {
            error: {
                "status-color": {
                    $type: string;
                    $value: string;
                };
            };
            success: {
                "status-color": {
                    $type: string;
                    $value: string;
                };
            };
            warning: {
                "status-color": {
                    $type: string;
                    $value: string;
                };
            };
            pending: {
                "status-color": {
                    $type: string;
                    $value: string;
                };
            };
        };
        input: {
            height: {
                $type: string;
                $value: string;
            };
            padding: {
                $type: string;
                $value: string;
            };
            "background-color": {
                $type: string;
                $value: string;
            };
            "border-color": {
                $type: string;
                $value: string;
            };
            "border-width": {
                $type: string;
                $value: string;
            };
            "border-radius": {
                $type: string;
                $value: string;
            };
        };
        icon: {
            size: {
                s: {
                    $type: string;
                    $value: string;
                };
                m: {
                    $type: string;
                    $value: string;
                };
                l: {
                    $type: string;
                    $value: string;
                };
            };
            "border-radius-multiplier": {
                $comment: string;
                $type: string;
                $value: string;
            };
        };
        "interaction-timer": {
            "notification-indicator": {
                $type: string;
                $value: string;
            };
            sla: {
                goal: {
                    progress: {
                        "primary-color": {
                            $type: string;
                            $value: string;
                        };
                        "secondary-color": {
                            $type: string;
                            $value: string;
                        };
                    };
                };
                deadline: {
                    progress: {
                        "primary-color": {
                            $type: string;
                            $value: string;
                        };
                        "secondary-color": {
                            $type: string;
                            $value: string;
                        };
                    };
                };
                "past-deadline": {
                    progress: {
                        "primary-color": {
                            $type: string;
                            $value: string;
                        };
                        "secondary-color": {
                            $type: string;
                            $value: string;
                        };
                    };
                };
            };
        };
        label: {
            color: {
                $type: string;
                $value: string;
            };
            "font-size": {
                $type: string;
                $value: string;
            };
            "font-weight": {
                $type: string;
                $value: string;
            };
            "foreground-color": {
                $type: string;
                $value: string;
            };
        };
        link: {
            color: {
                $type: string;
                $value: string;
            };
        };
        mark: {
            "background-color": {
                $type: string;
                $value: string;
            };
            "font-weight": {
                $type: string;
                $value: string;
            };
        };
        progress: {
            "progress-color": {
                $type: string;
                $value: string;
            };
        };
        "radio-check": {
            "border-color": {
                $type: string;
                $value: string;
            };
            "border-width": {
                $type: string;
                $value: string;
            };
            "background-color": {
                $type: string;
                $value: string;
            };
            "foreground-color": {
                $type: string;
                $value: string;
            };
            label: {
                color: {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
            };
            size: {
                $type: string;
                $value: string;
            };
            "touch-size": {
                $type: string;
                $value: string;
            };
            ":checked": {
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
        };
        "radio-button": {
            "border-radius": {
                $type: string;
                $value: string;
            };
        };
        rating: {
            color: {
                $type: string;
                $value: string;
            };
        };
        "search-input": {
            "border-radius": {
                $type: string;
                $value: number;
            };
        };
        select: {
            height: {
                $type: string;
                $value: string;
            };
            padding: {
                $type: string;
                $value: string;
            };
            "border-color": {
                $type: string;
                $value: string;
            };
            "border-width": {
                $type: string;
                $value: string;
            };
            "border-radius": {
                $type: string;
                $value: string;
            };
        };
        sentiment: {
            positive: {
                color: {
                    $type: string;
                    $value: string;
                };
            };
            negative: {
                color: {
                    $type: string;
                    $value: string;
                };
            };
            neutral: {
                color: {
                    $type: string;
                    $value: string;
                };
            };
        };
        switch: {
            height: {
                $type: string;
                $value: string;
            };
            width: {
                $type: string;
                $value: string;
            };
            "touch-height": {
                $type: string;
                $value: string;
            };
            "touch-width": {
                $type: string;
                $value: string;
            };
            off: {
                color: {
                    $type: string;
                    $value: string;
                };
            };
            on: {
                color: {
                    $type: string;
                    $value: string;
                };
            };
        };
        tabs: {
            detached: {
                $type: string;
                $value: boolean;
            };
        };
        table: {
            typography: {
                "font-stretch": {
                    $type: string;
                    $value: string;
                };
                "letter-spacing": {
                    $type: string;
                    $value: string;
                };
            };
            header: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "foreground-color": {
                    $type: string;
                    $value: string;
                };
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "vertical-spacing": {
                    $type: string;
                    $value: number;
                };
                "horizontal-spacing": {
                    $type: string;
                    $value: number;
                };
                "border-width": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
            "striped-rows": {
                $type: string;
                $value: boolean;
            };
            body: {
                "foreground-color": {
                    $type: string;
                    $value: string;
                };
                "background-color": {
                    $type: string;
                    $value: string;
                };
                "secondary-background-color": {
                    $type: string;
                    $value: string;
                };
                "vertical-spacing": {
                    $type: string;
                    $value: number;
                };
                "horizontal-spacing": {
                    $type: string;
                    $value: number;
                };
                "border-width": {
                    $type: string;
                    $value: string;
                };
                "border-color": {
                    $type: string;
                    $value: string;
                };
            };
            border: {
                "horizontal-inner": {
                    $type: string;
                    $value: boolean;
                };
                "horizontal-outer": {
                    $type: string;
                    $value: boolean;
                };
                "vertical-inner": {
                    $type: string;
                    $value: boolean;
                };
                "vertical-outer": {
                    $type: string;
                    $value: boolean;
                };
            };
            spacing: {
                "horizontal-inner": {
                    $type: string;
                    $value: boolean;
                };
                "horizontal-outer": {
                    $type: string;
                    $value: boolean;
                };
                "vertical-inner": {
                    $type: string;
                    $value: boolean;
                };
                "vertical-outer": {
                    $type: string;
                    $value: boolean;
                };
            };
        };
        "task-manager": {
            "task-icon": {
                banner: {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
                action: {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
                "task-drawer": {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
                "wrap-up": {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
                suggested: {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
                queued: {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
                "in-progress": {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
                resolved: {
                    background: {
                        $type: string;
                        $value: string;
                    };
                    foreground: {
                        $type: string;
                        $value: string;
                    };
                };
            };
        };
        text: {
            primary: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            secondary: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            h1: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            h2: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            h3: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            h4: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            h5: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            h6: {
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
                "font-family": {
                    $type: string;
                    $value: string;
                };
            };
            "brand-primary": {
                "font-family": {
                    $type: string;
                    $value: string;
                };
                "font-size": {
                    $type: string;
                    $value: string;
                };
                "font-weight": {
                    $type: string;
                    $value: string;
                };
            };
        };
        "text-area": {
            "min-height": {
                $type: string;
                $value: string;
            };
            padding: {
                $type: string;
                $value: string;
            };
        };
        tooltip: {
            "foreground-color": {
                $type: string;
                $value: string;
            };
            "background-color": {
                $type: string;
                $value: string;
            };
        };
    };
}>;
export declare const WorkTheme: {
    readonly base: {
        readonly colors: {
            readonly white: string;
            readonly black: string;
            readonly gray: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
            readonly slate: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
            readonly red: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
            readonly orange: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
            readonly green: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
            readonly blue: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
            readonly purple: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
            readonly yellow: {
                readonly "extra-light": string;
                readonly light: string;
                readonly medium: string;
                readonly dark: string;
                readonly "extra-dark": string;
            };
        };
        readonly palette: {
            readonly ai: string;
            readonly "app-background": string;
            readonly "primary-background": string;
            readonly "secondary-background": string;
            readonly "foreground-color": string;
            readonly "brand-primary": string;
            readonly "brand-secondary": string;
            readonly "brand-background": string;
            readonly "brand-foreground": string;
            readonly urgent: string;
            readonly warn: string;
            readonly success: string;
            readonly pending: string;
            readonly info: string;
            readonly interactive: string;
            readonly "border-line": string;
            readonly skeleton: string;
            readonly light: string;
            readonly dark: string;
            readonly "background-color": string;
            readonly "scrollbar-track": string;
            readonly "scrollbar-thumb": string;
        };
        readonly "font-family": string;
        readonly "font-size": string;
        readonly "font-scale": string;
        readonly "font-stretch": string;
        readonly "letter-spacing": string;
        readonly "font-weight": {
            readonly bold: number;
            readonly "semi-bold": number;
            readonly normal: number;
        };
        readonly "line-height": string;
        readonly scale: number;
        readonly "border-radius": string;
        readonly spacing: string;
        readonly "hit-area": {
            readonly compact: string;
            readonly "compact-min": string;
            readonly mouse: string;
            readonly "mouse-min": string;
            readonly finger: string;
            readonly "finger-min": string;
        };
        readonly "custom-scrollbar": boolean;
        readonly animation: {
            readonly speed: string;
            readonly timing: {
                readonly ease: string;
                readonly "ease-out": string;
                readonly "ease-in": string;
            };
        };
        readonly transparency: {
            readonly "transparent-1": number;
            readonly "transparent-2": number;
            readonly "transparent-3": number;
            readonly "transparent-4": number;
            readonly "transparent-5": number;
        };
        readonly "disabled-opacity": string;
        readonly shadow: {
            readonly high: string;
            readonly low: string;
            readonly "high-filter": string;
            readonly "low-filter": string;
            readonly focus: string;
            readonly "focus-group": string;
            readonly "focus-group-inset": string;
            readonly "focus-inset": string;
            readonly "focus-solid": string;
            readonly "focus-filter": string;
        };
        readonly "z-index": {
            readonly popover: number;
            readonly drawer: number;
            readonly modal: number;
            readonly alert: number;
            readonly backdrop: number;
            readonly toast: number;
            readonly tooltip: number;
            readonly max: number;
        };
        readonly breakpoints: {
            readonly xs: string;
            readonly sm: string;
            readonly md: string;
            readonly lg: string;
            readonly xl: string;
        };
        readonly "content-width": {
            readonly xs: string;
            readonly sm: string;
            readonly md: string;
            readonly lg: string;
            readonly xl: string;
        };
        readonly "icon-set": string;
    };
    readonly components: {
        readonly "app-shell": {
            readonly nav: {
                readonly background: string;
                readonly "foreground-color": string;
                readonly "background-color": string;
                readonly "border-color": string;
                readonly detached: boolean;
            };
            readonly header: {
                readonly background: string;
                readonly "foreground-color": string;
                readonly "background-color": string;
                readonly "border-color": string;
            };
        };
        readonly "case-view": {
            readonly header: {
                readonly background: string;
                readonly "background-color": string;
                readonly "foreground-color": string;
            };
            readonly summary: {
                readonly detached: boolean;
            };
            readonly utilities: {
                readonly detached: boolean;
                readonly background: string;
                readonly "foreground-color": string;
            };
            readonly assignments: {
                readonly background: string;
                readonly "foreground-color": string;
                readonly detached: boolean;
            };
            readonly stages: {
                readonly status: {
                    readonly completed: {
                        readonly "foreground-color": string;
                        readonly background: string;
                    };
                    readonly current: {
                        readonly "foreground-color": string;
                        readonly background: string;
                    };
                    readonly pending: {
                        readonly "foreground-color": string;
                        readonly background: string;
                    };
                };
            };
        };
        readonly announcement: {
            readonly background: string;
            readonly "foreground-color": string;
        };
        readonly avatar: {
            readonly "background-color": string;
        };
        readonly badges: {
            readonly "font-stretch": string;
            readonly status: {
                readonly success: {
                    readonly foreground: string;
                    readonly background: string;
                };
                readonly urgent: {
                    readonly foreground: string;
                    readonly background: string;
                };
                readonly warn: {
                    readonly foreground: string;
                    readonly background: string;
                };
                readonly pending: {
                    readonly foreground: string;
                    readonly background: string;
                };
                readonly info: {
                    readonly foreground: string;
                    readonly background: string;
                };
            };
            readonly tag: {
                readonly foreground: string;
                readonly background: string;
            };
            readonly count: {
                readonly default: {
                    readonly foreground: string;
                    readonly background: string;
                };
                readonly urgent: {
                    readonly foreground: string;
                    readonly background: string;
                };
            };
            readonly alert: {
                readonly urgent: {
                    readonly background: string;
                };
                readonly success: {
                    readonly background: string;
                };
                readonly base: {
                    readonly "border-color": string;
                };
            };
            readonly keyboard: {
                readonly "background-color": string;
                readonly "border-color": string;
            };
        };
        readonly banner: {
            readonly "icon-color": string;
            readonly urgent: {
                readonly background: string;
            };
            readonly warning: {
                readonly background: string;
            };
            readonly success: {
                readonly background: string;
            };
            readonly ai: {
                readonly background: string;
            };
            readonly info: {
                readonly background: string;
            };
        };
        readonly button: {
            readonly height: string;
            readonly "border-width": string;
            readonly "border-radius": number;
            readonly color: string;
            readonly "foreground-color": string;
            readonly "secondary-color": string;
            readonly "secondary-fill-style": string;
            readonly "focus-shadow": string;
            readonly padding: string;
            readonly touch: {
                readonly height: string;
                readonly padding: string;
            };
        };
        readonly card: {
            readonly "border-radius": string;
            readonly background: string;
            readonly "foreground-color": string;
            readonly padding: string;
            readonly "border-color": string;
        };
        readonly checkbox: {
            readonly "border-radius": string;
        };
        readonly "field-value-list": {
            readonly inline: {
                readonly detached: boolean;
            };
        };
        readonly details: {
            readonly "field-label": string;
        };
        readonly "form-control": {
            readonly "foreground-color": string;
            readonly "background-color": string;
            readonly "border-color": string;
            readonly "border-width": string;
            readonly "border-radius": number;
            readonly padding: string;
            readonly ":hover": {
                readonly "border-color": string;
            };
            readonly ":active": {
                readonly "border-color": string;
            };
            readonly ":focus": {
                readonly "border-color": string;
                readonly "box-shadow": string;
            };
            readonly ":disabled": {
                readonly "background-color": string;
                readonly "border-color": string;
            };
            readonly ":read-only": {
                readonly "background-color": string;
                readonly "border-color": string;
            };
        };
        readonly "form-field": {
            readonly error: {
                readonly "status-color": string;
            };
            readonly success: {
                readonly "status-color": string;
            };
            readonly warning: {
                readonly "status-color": string;
            };
            readonly pending: {
                readonly "status-color": string;
            };
        };
        readonly input: {
            readonly height: string;
            readonly padding: string;
            readonly "background-color": string;
            readonly "border-color": string;
            readonly "border-width": string;
            readonly "border-radius": string;
        };
        readonly icon: {
            readonly size: {
                readonly s: string;
                readonly m: string;
                readonly l: string;
            };
            readonly "border-radius-multiplier": string;
        };
        readonly "interaction-timer": {
            readonly "notification-indicator": string;
            readonly sla: {
                readonly goal: {
                    readonly progress: {
                        readonly "primary-color": string;
                        readonly "secondary-color": string;
                    };
                };
                readonly deadline: {
                    readonly progress: {
                        readonly "primary-color": string;
                        readonly "secondary-color": string;
                    };
                };
                readonly "past-deadline": {
                    readonly progress: {
                        readonly "primary-color": string;
                        readonly "secondary-color": string;
                    };
                };
            };
        };
        readonly label: {
            readonly color: string;
            readonly "font-size": string;
            readonly "font-weight": string;
            readonly "foreground-color": string;
        };
        readonly link: {
            readonly color: string;
        };
        readonly mark: {
            readonly "background-color": string;
            readonly "font-weight": string;
        };
        readonly progress: {
            readonly "progress-color": string;
        };
        readonly "radio-check": {
            readonly "border-color": string;
            readonly "border-width": string;
            readonly "background-color": string;
            readonly "foreground-color": string;
            readonly label: {
                readonly color: string;
                readonly "font-weight": string;
            };
            readonly size: string;
            readonly "touch-size": string;
            readonly ":checked": {
                readonly "background-color": string;
                readonly "border-color": string;
            };
        };
        readonly "radio-button": {
            readonly "border-radius": string;
        };
        readonly rating: {
            readonly color: string;
        };
        readonly "search-input": {
            readonly "border-radius": number;
        };
        readonly select: {
            readonly height: string;
            readonly padding: string;
            readonly "border-color": string;
            readonly "border-width": string;
            readonly "border-radius": string;
        };
        readonly sentiment: {
            readonly positive: {
                readonly color: string;
            };
            readonly negative: {
                readonly color: string;
            };
            readonly neutral: {
                readonly color: string;
            };
        };
        readonly switch: {
            readonly height: string;
            readonly width: string;
            readonly "touch-height": string;
            readonly "touch-width": string;
            readonly off: {
                readonly color: string;
            };
            readonly on: {
                readonly color: string;
            };
        };
        readonly tabs: {
            readonly detached: boolean;
        };
        readonly table: {
            readonly typography: {
                readonly "font-stretch": string;
                readonly "letter-spacing": string;
            };
            readonly header: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "foreground-color": string;
                readonly "background-color": string;
                readonly "vertical-spacing": number;
                readonly "horizontal-spacing": number;
                readonly "border-width": string;
                readonly "border-color": string;
            };
            readonly "striped-rows": boolean;
            readonly body: {
                readonly "foreground-color": string;
                readonly "background-color": string;
                readonly "secondary-background-color": string;
                readonly "vertical-spacing": number;
                readonly "horizontal-spacing": number;
                readonly "border-width": string;
                readonly "border-color": string;
            };
            readonly border: {
                readonly "horizontal-inner": boolean;
                readonly "horizontal-outer": boolean;
                readonly "vertical-inner": boolean;
                readonly "vertical-outer": boolean;
            };
            readonly spacing: {
                readonly "horizontal-inner": boolean;
                readonly "horizontal-outer": boolean;
                readonly "vertical-inner": boolean;
                readonly "vertical-outer": boolean;
            };
        };
        readonly "task-manager": {
            readonly "task-icon": {
                readonly banner: {
                    readonly background: string;
                    readonly foreground: string;
                };
                readonly action: {
                    readonly background: string;
                    readonly foreground: string;
                };
                readonly "task-drawer": {
                    readonly background: string;
                    readonly foreground: string;
                };
                readonly "wrap-up": {
                    readonly background: string;
                    readonly foreground: string;
                };
                readonly suggested: {
                    readonly background: string;
                    readonly foreground: string;
                };
                readonly queued: {
                    readonly background: string;
                    readonly foreground: string;
                };
                readonly "in-progress": {
                    readonly background: string;
                    readonly foreground: string;
                };
                readonly resolved: {
                    readonly background: string;
                    readonly foreground: string;
                };
            };
        };
        readonly text: {
            readonly primary: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly secondary: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly h1: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly h2: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly h3: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly h4: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly h5: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly h6: {
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "font-family": string;
            };
            readonly "brand-primary": {
                readonly "font-family": string;
                readonly "font-size": string;
                readonly "font-weight": string;
            };
        };
        readonly "text-area": {
            readonly "min-height": string;
            readonly padding: string;
        };
        readonly tooltip: {
            readonly "foreground-color": string;
            readonly "background-color": string;
        };
    };
};
export declare const ResetTheme: DefaultSettableTheme;
export declare const defaultThemeProp: Readonly<{
    theme: {
        readonly base: {
            readonly colors: {
                readonly white: string;
                readonly black: string;
                readonly gray: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
                readonly slate: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
                readonly red: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
                readonly orange: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
                readonly green: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
                readonly blue: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
                readonly purple: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
                readonly yellow: {
                    readonly "extra-light": string;
                    readonly light: string;
                    readonly medium: string;
                    readonly dark: string;
                    readonly "extra-dark": string;
                };
            };
            readonly palette: {
                readonly ai: string;
                readonly "app-background": string;
                readonly "primary-background": string;
                readonly "secondary-background": string;
                readonly "foreground-color": string;
                readonly "brand-primary": string;
                readonly "brand-secondary": string;
                readonly "brand-background": string;
                readonly "brand-foreground": string;
                readonly urgent: string;
                readonly warn: string;
                readonly success: string;
                readonly pending: string;
                readonly info: string;
                readonly interactive: string;
                readonly "border-line": string;
                readonly skeleton: string;
                readonly light: string;
                readonly dark: string;
                readonly "background-color": string;
                readonly "scrollbar-track": string;
                readonly "scrollbar-thumb": string;
            };
            readonly "font-family": string;
            readonly "font-size": string;
            readonly "font-scale": string;
            readonly "font-stretch": string;
            readonly "letter-spacing": string;
            readonly "font-weight": {
                readonly bold: number;
                readonly "semi-bold": number;
                readonly normal: number;
            };
            readonly "line-height": string;
            readonly scale: number;
            readonly "border-radius": string;
            readonly spacing: string;
            readonly "hit-area": {
                readonly compact: string;
                readonly "compact-min": string;
                readonly mouse: string;
                readonly "mouse-min": string;
                readonly finger: string;
                readonly "finger-min": string;
            };
            readonly "custom-scrollbar": boolean;
            readonly animation: {
                readonly speed: string;
                readonly timing: {
                    readonly ease: string;
                    readonly "ease-out": string;
                    readonly "ease-in": string;
                };
            };
            readonly transparency: {
                readonly "transparent-1": number;
                readonly "transparent-2": number;
                readonly "transparent-3": number;
                readonly "transparent-4": number;
                readonly "transparent-5": number;
            };
            readonly "disabled-opacity": string;
            readonly shadow: {
                readonly high: string;
                readonly low: string;
                readonly "high-filter": string;
                readonly "low-filter": string;
                readonly focus: string;
                readonly "focus-group": string;
                readonly "focus-group-inset": string;
                readonly "focus-inset": string;
                readonly "focus-solid": string;
                readonly "focus-filter": string;
            };
            readonly "z-index": {
                readonly popover: number;
                readonly drawer: number;
                readonly modal: number;
                readonly alert: number;
                readonly backdrop: number;
                readonly toast: number;
                readonly tooltip: number;
                readonly max: number;
            };
            readonly breakpoints: {
                readonly xs: string;
                readonly sm: string;
                readonly md: string;
                readonly lg: string;
                readonly xl: string;
            };
            readonly "content-width": {
                readonly xs: string;
                readonly sm: string;
                readonly md: string;
                readonly lg: string;
                readonly xl: string;
            };
            readonly "icon-set": string;
        };
        readonly components: {
            readonly "app-shell": {
                readonly nav: {
                    readonly background: string;
                    readonly "foreground-color": string;
                    readonly "background-color": string;
                    readonly "border-color": string;
                    readonly detached: boolean;
                };
                readonly header: {
                    readonly background: string;
                    readonly "foreground-color": string;
                    readonly "background-color": string;
                    readonly "border-color": string;
                };
            };
            readonly "case-view": {
                readonly header: {
                    readonly background: string;
                    readonly "background-color": string;
                    readonly "foreground-color": string;
                };
                readonly summary: {
                    readonly detached: boolean;
                };
                readonly utilities: {
                    readonly detached: boolean;
                    readonly background: string;
                    readonly "foreground-color": string;
                };
                readonly assignments: {
                    readonly background: string;
                    readonly "foreground-color": string;
                    readonly detached: boolean;
                };
                readonly stages: {
                    readonly status: {
                        readonly completed: {
                            readonly "foreground-color": string;
                            readonly background: string;
                        };
                        readonly current: {
                            readonly "foreground-color": string;
                            readonly background: string;
                        };
                        readonly pending: {
                            readonly "foreground-color": string;
                            readonly background: string;
                        };
                    };
                };
            };
            readonly announcement: {
                readonly background: string;
                readonly "foreground-color": string;
            };
            readonly avatar: {
                readonly "background-color": string;
            };
            readonly badges: {
                readonly "font-stretch": string;
                readonly status: {
                    readonly success: {
                        readonly foreground: string;
                        readonly background: string;
                    };
                    readonly urgent: {
                        readonly foreground: string;
                        readonly background: string;
                    };
                    readonly warn: {
                        readonly foreground: string;
                        readonly background: string;
                    };
                    readonly pending: {
                        readonly foreground: string;
                        readonly background: string;
                    };
                    readonly info: {
                        readonly foreground: string;
                        readonly background: string;
                    };
                };
                readonly tag: {
                    readonly foreground: string;
                    readonly background: string;
                };
                readonly count: {
                    readonly default: {
                        readonly foreground: string;
                        readonly background: string;
                    };
                    readonly urgent: {
                        readonly foreground: string;
                        readonly background: string;
                    };
                };
                readonly alert: {
                    readonly urgent: {
                        readonly background: string;
                    };
                    readonly success: {
                        readonly background: string;
                    };
                    readonly base: {
                        readonly "border-color": string;
                    };
                };
                readonly keyboard: {
                    readonly "background-color": string;
                    readonly "border-color": string;
                };
            };
            readonly banner: {
                readonly "icon-color": string;
                readonly urgent: {
                    readonly background: string;
                };
                readonly warning: {
                    readonly background: string;
                };
                readonly success: {
                    readonly background: string;
                };
                readonly ai: {
                    readonly background: string;
                };
                readonly info: {
                    readonly background: string;
                };
            };
            readonly button: {
                readonly height: string;
                readonly "border-width": string;
                readonly "border-radius": number;
                readonly color: string;
                readonly "foreground-color": string;
                readonly "secondary-color": string;
                readonly "secondary-fill-style": string;
                readonly "focus-shadow": string;
                readonly padding: string;
                readonly touch: {
                    readonly height: string;
                    readonly padding: string;
                };
            };
            readonly card: {
                readonly "border-radius": string;
                readonly background: string;
                readonly "foreground-color": string;
                readonly padding: string;
                readonly "border-color": string;
            };
            readonly checkbox: {
                readonly "border-radius": string;
            };
            readonly "field-value-list": {
                readonly inline: {
                    readonly detached: boolean;
                };
            };
            readonly details: {
                readonly "field-label": string;
            };
            readonly "form-control": {
                readonly "foreground-color": string;
                readonly "background-color": string;
                readonly "border-color": string;
                readonly "border-width": string;
                readonly "border-radius": number;
                readonly padding: string;
                readonly ":hover": {
                    readonly "border-color": string;
                };
                readonly ":active": {
                    readonly "border-color": string;
                };
                readonly ":focus": {
                    readonly "border-color": string;
                    readonly "box-shadow": string;
                };
                readonly ":disabled": {
                    readonly "background-color": string;
                    readonly "border-color": string;
                };
                readonly ":read-only": {
                    readonly "background-color": string;
                    readonly "border-color": string;
                };
            };
            readonly "form-field": {
                readonly error: {
                    readonly "status-color": string;
                };
                readonly success: {
                    readonly "status-color": string;
                };
                readonly warning: {
                    readonly "status-color": string;
                };
                readonly pending: {
                    readonly "status-color": string;
                };
            };
            readonly input: {
                readonly height: string;
                readonly padding: string;
                readonly "background-color": string;
                readonly "border-color": string;
                readonly "border-width": string;
                readonly "border-radius": string;
            };
            readonly icon: {
                readonly size: {
                    readonly s: string;
                    readonly m: string;
                    readonly l: string;
                };
                readonly "border-radius-multiplier": string;
            };
            readonly "interaction-timer": {
                readonly "notification-indicator": string;
                readonly sla: {
                    readonly goal: {
                        readonly progress: {
                            readonly "primary-color": string;
                            readonly "secondary-color": string;
                        };
                    };
                    readonly deadline: {
                        readonly progress: {
                            readonly "primary-color": string;
                            readonly "secondary-color": string;
                        };
                    };
                    readonly "past-deadline": {
                        readonly progress: {
                            readonly "primary-color": string;
                            readonly "secondary-color": string;
                        };
                    };
                };
            };
            readonly label: {
                readonly color: string;
                readonly "font-size": string;
                readonly "font-weight": string;
                readonly "foreground-color": string;
            };
            readonly link: {
                readonly color: string;
            };
            readonly mark: {
                readonly "background-color": string;
                readonly "font-weight": string;
            };
            readonly progress: {
                readonly "progress-color": string;
            };
            readonly "radio-check": {
                readonly "border-color": string;
                readonly "border-width": string;
                readonly "background-color": string;
                readonly "foreground-color": string;
                readonly label: {
                    readonly color: string;
                    readonly "font-weight": string;
                };
                readonly size: string;
                readonly "touch-size": string;
                readonly ":checked": {
                    readonly "background-color": string;
                    readonly "border-color": string;
                };
            };
            readonly "radio-button": {
                readonly "border-radius": string;
            };
            readonly rating: {
                readonly color: string;
            };
            readonly "search-input": {
                readonly "border-radius": number;
            };
            readonly select: {
                readonly height: string;
                readonly padding: string;
                readonly "border-color": string;
                readonly "border-width": string;
                readonly "border-radius": string;
            };
            readonly sentiment: {
                readonly positive: {
                    readonly color: string;
                };
                readonly negative: {
                    readonly color: string;
                };
                readonly neutral: {
                    readonly color: string;
                };
            };
            readonly switch: {
                readonly height: string;
                readonly width: string;
                readonly "touch-height": string;
                readonly "touch-width": string;
                readonly off: {
                    readonly color: string;
                };
                readonly on: {
                    readonly color: string;
                };
            };
            readonly tabs: {
                readonly detached: boolean;
            };
            readonly table: {
                readonly typography: {
                    readonly "font-stretch": string;
                    readonly "letter-spacing": string;
                };
                readonly header: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "foreground-color": string;
                    readonly "background-color": string;
                    readonly "vertical-spacing": number;
                    readonly "horizontal-spacing": number;
                    readonly "border-width": string;
                    readonly "border-color": string;
                };
                readonly "striped-rows": boolean;
                readonly body: {
                    readonly "foreground-color": string;
                    readonly "background-color": string;
                    readonly "secondary-background-color": string;
                    readonly "vertical-spacing": number;
                    readonly "horizontal-spacing": number;
                    readonly "border-width": string;
                    readonly "border-color": string;
                };
                readonly border: {
                    readonly "horizontal-inner": boolean;
                    readonly "horizontal-outer": boolean;
                    readonly "vertical-inner": boolean;
                    readonly "vertical-outer": boolean;
                };
                readonly spacing: {
                    readonly "horizontal-inner": boolean;
                    readonly "horizontal-outer": boolean;
                    readonly "vertical-inner": boolean;
                    readonly "vertical-outer": boolean;
                };
            };
            readonly "task-manager": {
                readonly "task-icon": {
                    readonly banner: {
                        readonly background: string;
                        readonly foreground: string;
                    };
                    readonly action: {
                        readonly background: string;
                        readonly foreground: string;
                    };
                    readonly "task-drawer": {
                        readonly background: string;
                        readonly foreground: string;
                    };
                    readonly "wrap-up": {
                        readonly background: string;
                        readonly foreground: string;
                    };
                    readonly suggested: {
                        readonly background: string;
                        readonly foreground: string;
                    };
                    readonly queued: {
                        readonly background: string;
                        readonly foreground: string;
                    };
                    readonly "in-progress": {
                        readonly background: string;
                        readonly foreground: string;
                    };
                    readonly resolved: {
                        readonly background: string;
                        readonly foreground: string;
                    };
                };
            };
            readonly text: {
                readonly primary: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly secondary: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly h1: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly h2: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly h3: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly h4: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly h5: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly h6: {
                    readonly "font-size": string;
                    readonly "font-weight": string;
                    readonly "font-family": string;
                };
                readonly "brand-primary": {
                    readonly "font-family": string;
                    readonly "font-size": string;
                    readonly "font-weight": string;
                };
            };
            readonly "text-area": {
                readonly "min-height": string;
                readonly padding: string;
            };
            readonly tooltip: {
                readonly "foreground-color": string;
                readonly "background-color": string;
            };
        };
    };
}>;
export type DefaultSettableTheme = SettableTheme<typeof defaultThemeDefinition>;
declare module 'styled-components' {
    interface DefaultTheme extends ToThemeIFace<typeof defaultThemeDefinition> {
    }
}
//# sourceMappingURL=theme.d.ts.map