import ThemeMachine, { resetToInitial } from './ThemeMachine';
import defaultThemeDefinition from './themeDefinition.json';
export { defaultThemeDefinition as themeDefinition };
export const BaseThemeMachine = new ThemeMachine({ definition: defaultThemeDefinition });
export const WorkTheme = BaseThemeMachine.theme;
const makeResetTheme = (obj) => {
    return Object.fromEntries(Object.entries(obj).map(([key, val]) => {
        if (val && typeof val === 'object')
            return [key, makeResetTheme(val)];
        return [key, resetToInitial];
    }));
};
export const ResetTheme = makeResetTheme(WorkTheme);
export const defaultThemeProp = Object.freeze({ theme: WorkTheme });
//# sourceMappingURL=theme.js.map