const defineSmartGetter = (obj, key, valueFn) => {
    Object.defineProperty(obj, key, {
        get: () => {
            delete obj[key];
            obj[key] = valueFn();
            return obj[key];
        },
        enumerable: true,
        configurable: true
    });
    return obj;
};
export default defineSmartGetter;
//# sourceMappingURL=defineSmartGetter.js.map