import type { RefObject } from 'react';
export declare const focusableSelector = "a[href], button, input, textarea, select, details, video[controls], audio[controls], [tabindex]:not([tabindex=\"-1\"])";
/**
 * Returns all valid focusable elements within a given ref.
 * @param container The container element, or reference to the container element, to search for focusable elements within.
 * @param options
 * @param options.includeActiveEl If true, the active element will be included in the list, even if it does not match focusable criteria.
 * @returns A list of valid focusable elements within the given ref.
 */
declare const getFocusables: (container: RefObject<ParentNode> | ParentNode, { includeActiveEl }?: {
    includeActiveEl?: boolean;
}) => HTMLElement[];
export default getFocusables;
//# sourceMappingURL=getFocusables.d.ts.map